# Packages names
%global vdsm_name vdsm
%global vdsm_bootstrap vdsm-bootstrap
%global vdsm_reg vdsm-reg

# Required users and groups
%global vdsm_user vdsm
%global vdsm_group kvm
%global qemu_group qemu
%global snlk_group sanlock
%global snlk_user sanlock

# Required paths
%global _polkitdir %{_localstatedir}/lib/polkit-1/localauthority/10-vendor.d

Name:           %{vdsm_name}
Version:        4.9.6
Release:        44.0%{?dist}%{?extra_release}
Summary:        Virtual Desktop Server Manager

Group:          Applications/System
License:        GPLv2+
Url:            http://www.ovirt.org/wiki/Vdsm
Source0:        %{vdsm_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:  x86_64

BuildRequires: python
BuildRequires: python-devel
BuildRequires: autoconf
BuildRequires: automake
#BuildRequires: pyflakes

%if !0%{?rhel}
BuildRequires: systemd-units
%endif

Requires: python which
Requires: sudo >= 1.7.3
Requires: logrotate
Requires: xz
Requires: ntp
Requires: python-ethtool
Requires: nfs-utils dmidecode

%if 0%{?rhel}
# Update the qemu-kvm requires when block_stream will be included
Requires: qemu-kvm-rhev >= 2:0.12.1.2-2.295.el6_3.4
Requires: qemu-img-rhev >= 2:0.12.1.2-2.295.el6_3.4
Requires: libvirt >= 0.9.10-21.el6_3.5
Requires: libvirt-python, libvirt-lock-sanlock, libvirt-client
Requires: iscsi-initiator-utils >= 6.2.0.872-15
Requires: device-mapper-multipath >= 0.4.9-52
Requires: e2fsprogs >= 1.41.12-11
Requires: kernel >= 2.6.32-279.9.1
Requires: sanlock >= 2.3-4, sanlock-python
Requires: initscripts >= 9.03.31-2.el6_3.1
Requires: lvm2 >= 2.02.95-10.el6_3.2
%else
Requires: qemu-kvm >= 2:0.15.0-4
Requires: qemu-img >= 2:0.15.0-4
Requires: libvirt >= 0.9.10
Requires: libvirt-python, libvirt-lock-sanlock, libvirt-client
Requires: iscsi-initiator-utils >= 6.2.0.872-14
Requires: device-mapper-multipath >= 0.4.9-18
Requires: e2fsprogs >= 1.41.14
Requires: kernel >= 3.6
Requires: sanlock >= 2.4-2, sanlock-python
Requires: lvm2 >= 2.02.95
%endif

Requires: psmisc >= 22.6-15
Requires: fence-agents
Requires: bridge-utils
Requires: sos
Requires: tree
Requires: dosfstools
Requires: policycoreutils-python
Requires: genisoimage
Requires: libselinux-python
Requires: %{name}-python = %{version}-%{release}
Requires: selinux-policy-targeted >= 3.7.19-80.el6
Requires(pre,preun): policycoreutils-python
Requires(post): /usr/sbin/saslpasswd2

# backward compatible with older bootstrap code
# see bug#870079
# can be removed when rhevm-3.0 hosts are
# updated with latest vdsm-bootstrap
Requires: %{name}-cli = %{version}-%{release}

Patch1: 0001-downstream-only-no-su-in-rhel-6.3-logrotate.patch
Patch2: 0002-avoid-pyflakes.patch
Patch3: 0003-use-rhevm-as-management-bridge-downstream.patch
Patch4: 0004-Fix-minor-issues-in-the-iscsi-module.patch
Patch5: 0005-Updated-threading.Lock-acquire-to-a-more-Python-like.patch
Patch6: 0006-read-iscsi-session-info-properly.patch
Patch7: 0007-VDSM-Reg-should-not-import-vdsm.config.patch
Patch8: 0008-Add-the-device-type-in-the-snapshot-dictionary.patch
Patch9: 0009-BZ-802347-try-and-not-access-iscsid-concurrently.patch
Patch10: 0010-BZ-802229-Fix-missing-tpgt-argument-handling.patch
Patch11: 0011-BZ-800915-no-need-to-support-list-in-removeVM-comman.patch
Patch12: 0012-Fix-TypeError-when-using-se.iSCSIDiscoveryError-with.patch
Patch13: 0013-Restore-direct-lun-functionality.patch
Patch14: 0014-dumpStorageTable-search-deeper-for-vms-list.patch
Patch15: 0015-Added-blkid-tool-support-to-get-device-for-uuid.patch
Patch16: 0016-Removed-unused-imports-from-clientif.patch
Patch17: 0017-Added-lsblk-tool-support-in-supervdsm.patch
Patch18: 0018-Backing-VG-s-should-be-named-as-SD-name.patch
Patch19: 0019-do-not-croak-on-mountpoint-with-space-and-digit.patch
Patch20: 0020-Removed-unused-method.patch
Patch21: 0021-Cut-the-line-in-a-different-place-so-pylint-doesn-t-.patch
Patch22: 0022-BZ-787728-configNet-restore-backup-on-connectivity-f.patch
Patch23: 0023-BZ-787709-Do-not-validate-IP-existence-during-setup-.patch
Patch24: 0024-Remove-unused-methods-from-hsm.patch
Patch25: 0025-pass-missing-arg-to-devicemapper.getSlaves.patch
Patch26: 0026-fix-forgotten-properties-in-NfsConnection.patch
Patch27: 0027-BZ-803754-Fix-file-mangling-for-localfs-connections.patch
Patch28: 0028-Remove-unneeded-getIpAddresses-import.patch
Patch29: 0029-fix-LV_ATTR_BITS-for-use-with-lvm-2.02.95-2-RHEL6.patch
Patch30: 0030-cman-is-no-longer-conflicting-with-Vdsm.patch
Patch31: 0031-BZ-805444-Do-not-link-unrelated-domains-under-pool.patch
Patch32: 0032-Create-mount-base-path-on-hsm-initialization.patch
Patch33: 0033-Have-sdc.py-pass-pep8.patch
Patch34: 0034-Try-to-destroy-VM-gracefully.patch
Patch35: 0035-Fix-old-klass-joke-in-setMaxOutgoingMigrations-defin.patch
Patch36: 0036-No-tearDownVolumePath-function-exists-changed-to-tea.patch
Patch37: 0037-BZ-806757-Update-video-and-sound-devices-of-running-.patch
Patch38: 0038-Make-sure-that-internally-we-always-use-pvs-from-dev.patch
Patch39: 0039-Added-getMountFromDevice-function.patch
Patch40: 0040-Use-certtool-to-generate-the-certificates.patch
Patch41: 0041-Assign-proper-PCI-address-to-each-video-sound-device.patch
Patch42: 0042-Fix-required-libvirt-version-for-new-VIR_DOMAIN_DEST.patch
Patch43: 0043-Fix-required-lvm2-version-for-LV_ATTR_BITS.patch
Patch44: 0044-spec-VIR_DOMAIN_DESTROY_GRACEFUL-is-only-in-libvirt-.patch
#Patch45: 0045-nfs-check-Add-except-socket.gethostbyname.patch
Patch46: 0046-Make-misc.py-conform-pep8-and-other-minor-cleanup.patch
Patch47: 0047-Use-the-_REUSE_EXT-flag-in-snapshotCreateXML.patch
Patch48: 0048-Add-partial-live-merge.patch
Patch49: 0049-vdsm-error-when-creating-a-bond-nic-with-more-than-o.patch
Patch50: 0050-BZ-805273-Fix-LVM-preferred-names.patch
Patch51: 0051-dispatcher-drop-Unicode-less-validation.patch
Patch52: 0052-Support-unicode-in-domain-and-pool-description.patch
Patch53: 0053-Added-some-documentation-to-the-connection-managemen.patch
Patch54: 0054-BZ-808116-Fix-post-zeroing-process-during-deletion-o.patch
Patch55: 0055-Using-supervdsmServer.py-when-present.patch
Patch56: 0056-BZ-807642-Use-Securable-as-base-class.patch
Patch57: 0057-Added-iSER-support-enabled-with-a-configuration-opti.patch
Patch58: 0058-added-support-for-mirror-promisc-mode.patch
Patch59: 0059-Fix-bad-import-preventing-SuperVdsm-to-start.patch
Patch60: 0060-vdsm-fix-make-distcheck.patch
Patch61: 0061-BZ-804640-Modify-Image.getChain-to-return-a-subchain.patch
Patch62: 0062-BZ-729251-vds_bootstrap-drop-dead-netconsole-vdcrepo.patch
Patch63: 0063-vds_bootstrap-add-flags-for-installVirtualizationSer.patch
Patch64: 0064-BZ-804618-Add-legacy-imports-to-bootstrap.patch 
Patch66: 0066-BZ-804618-Fix-import-ERROR-on-vds_bootstrap.patch
Patch67: 0067-BZ-804618-vdsmImport-should-load-the-vdsm-package.patch
Patch68: 0068-bootstrap-installation-now-requires-libvirt-when-def.patch
Patch69: 0069-Compare-Drive-according-to-its-name-during-lvextend.patch
Patch70: 0070-BZ-809012-Remove-physical-block-size-limitations.patch
Patch71: 0071-BZ-813897-Fix-color-scheme-of-ovirt-node-over-ssh.patch
Patch72: 0072-BZ-807642-Add-TestSecurable-safety-test.patch
#Patch73: 0073-nfs-check-improvements.patch
Patch74: 0074-BZ-773210-Avoid-infinite-loop-when-delete-volume-fai.patch
Patch75: 0075-BZ-804640-Image.getChain-must-work-with-multiple-lea.patch
Patch76: 0076-Define-some-constants-in-API.py.patch
Patch77: 0077-Integrate-SANLock-with-VM-s-life-cycle.patch
Patch78: 0078-Make-main.py-confrom-to-pep8.patch
Patch79: 0079-Fix-inconsistencies-with-new-connection-management-A.patch
Patch80: 0080-make-ovirt-node-detection-more-robust.patch
Patch81: 0081-fix-broken-pyflakes-check.patch
Patch82: 0082-isBlockDevice-should-fail-for-empty-cdrom-floppy.-Do.patch
Patch83: 0083-pylint-vdsm-libvirtvm.py.patch
Patch84: 0084-Fix-typo-in-the-IscsiInterface-class.patch
Patch85: 0085-BZ-802759-Make-old-FD-shutdown-a-bit-more-robust.patch
Patch86: 0086-fix-circular-reference-of-storage-pool.patch
Patch87: 0087-pylint-vdsm-netinfo.py-rename-local-vars-to-avoid-ov.patch
Patch88: 0088-Remove-writefileSUDO-no-one-uses-it.patch
Patch89: 0089-BindingXMLRPC-Check-irs-init-status.patch
Patch90: 0090-storageServer-Fix-isConnected-for-LocalDirectoryConn.patch
Patch91: 0091-engine.py-improve-password-text.patch
Patch92: 0092-fix-check-None-sdUUID-for-getVmsList-and-getVmsInfo.patch
Patch93: 0093-Make-logskip-more-pylint-friendly.patch
Patch94: 0094-BZ-811555-try-to-download-multiple-ssh-keys.patch
Patch95: 0095-BZ-811555-Add-rhevm.ssh.key.txt-to-ssh-keys.patch
Patch96: 0096-BZ-812149-delNetwork-Add-skipLibvirt-validation.patch
Patch97: 0097-Adding-the-qemuImg-command-line.patch
Patch98: 0098-Move-libvirtconnection-to-the-python-sitelib.patch
Patch99: 0099-setVmTicket-add-before-and-after-hooks.patch
Patch100: 0100-vdsm-reg.conf.in-change-the-default-url-for-reg.patch
Patch101: 0101-avoid-pyflakes-in-configure-ac.patch
Patch102: 0102-BZ-772458-installation-use-random-dir.patch
Patch103: 0103-vds_bootstrap-allowing-the-options-n-and-u-as-parate.patch
Patch104: 0104-vds_bootstrap-changing-the-default-to-install-virt-t.patch
Patch105: 0105-spec-remove-the-conflicts-of-ovirt-engine-from-vds_b.patch
Patch106: 0106-BZ-813423-Adding-ENGINENAME-macro.patch
Patch107: 0107-configure.ac-replace-ENGINENAME-macro.patch
Patch108: 0108-BZ-814413-switch-engine-plugin-to-use-system-instead.patch
Patch109: 0109-Clean-the-RHEVM-log-message-in-vdsm-reg-setup-in.patch
Patch110: 0110-Don-t-use-qemu-img-to-create-sparse-file-volumes.patch
Patch111: 0111-Improve-usage-for-bridgeless-network.patch
Patch112: 0112-Related-to-BZ-773210-Avoid-infinite-loop-when-delete.patch
Patch113: 0113-vdsm-storage-misc.py-ensure-uuid-input-is-str-or-uni.patch
Patch114: 0114-Use-the-correct-size-for-createSparseFile-in-fileVol.patch
Patch115: 0115-Use-new-rpms-qemu-img-rhev-qemu-kvm-rhev.patch
Patch116: 0116-Related-to-BZ-807687-Adding-log-for-debugging-purpos.patch
Patch117: 0117-BZ-807687-Do-not-return-new-references-to-an-invalid.patch
Patch118: 0118-vdsmd.init-rewritten-listen_addr.patch
Patch119: 0119-Disallow-cross-vendor-virtualizatio.patch
Patch120: 0120-mount-use-sudo-only-of-not-root-user.patch
Patch121: 0121-Change-mathing-to-matching-typo.patch
Patch122: 0122-Avoid-skipping-libvirt-when-add-bridgeless-network.patch
Patch123: 0123-BZ-812793-Fix-delNetwork-to-be-able-delete-network-i.patch
Patch124: 0124-Added-register-to-engine-command-line-tool.patch
Patch125: 0125-fix-vdsm_reg-makefile-error.patch
Patch126: 0126-BZ-812793-Fix-addNetwork-to-be-able-attach-network-t.patch
Patch127: 0127-Make-ClusterLock-stateless.patch
Patch128: 0128-BZ-807351-Handle-deleted-mountpoints.patch
Patch129: 0129-Revert-Avoid-to-activate-parent-volume-on-cloning.patch
Patch130: 0130-BZ-815825-backup-certs-during-registration.patch
Patch131: 0131-BZ-809012-Calculate-metadata-offset-from-logical-blo.patch
Patch132: 0132-Report-only-3.0-cluster-level.patch
Patch133: 0133-Fix-loop-device-handling-for-mount-command.patch
Patch134: 0134-BZ-814438-caps-fix-osversion-report.patch
Patch135: 0135-BZ-806625-validate-vdsmcert-against-cacert.patch
Patch136: 0136-BZ-797526-Lazy-evaluation-for-Drive.blockDev.patch
Patch137: 0137-Remove-almost-all-class-Volume-virtual-methods.patch
Patch138: 0138-Add-volumeExists-to-the-StorageDomain-class.patch
#Patch139: 0139-Add-vdsm_reg-engine.py-to-gitignore.patch
Patch140: 0140-vdsClient.py-Allow-specifying-nested-dicts-for-devic.patch
Patch141: 0141-vm.py-Fix-legacy-disk-support.patch
Patch142: 0142-libvirtvm.py-Remove-unnecessary-constructor-overridi.patch
Patch143: 0143-Clean-the-RHEVM-log-message-in-deployUtil.py.in.patch
Patch144: 0144-BZ-752470-Related-Out-of-process-getReadDelay.patch
Patch145: 0145-Clean-the-RHEVM-parser-help-in-deployUtil.py.in.patch
Patch146: 0146-remove-stale-libvirtNet-before-creating-a-new-net-wi.patch
Patch147: 0147-Pass-iface-without-nic-interface.patch
Patch148: 0148-libvirtvm.py-Refactor-device-xml-generation.patch
Patch149: 0149-libvirtvm.py-Extend-controller-support-to-allow-conf.patch
Patch150: 0150-Add-support-for-redir-devices.patch
Patch151: 0151-correct-usage-help-string-in-vdsClient.patch
Patch152: 0152-netinfo-simplify-speed-function.patch
Patch153: 0153-netinfo-Don-t-attempt-to-read-a-virtio-nic-speed.patch
Patch154: 0154-vdsm-using-model-and-index-for-controller-address.patch
Patch155: 0155-delNetwork-improve-removeLibvirtNetwork-call.patch
Patch156: 0156-Set-the-correct-gid-for-libvirt-spice.patch
#Patch157: 0157-.gitignore-dsaversion.py.patch
Patch158: 0158-vm-payload-add-file-injection-to-vm.patch
Patch159: 0159-Create-payload-directory-if-not-exists.patch
Patch160: 0160-dsaversion-renamed-to-dsaversion.in.patch
Patch161: 0161-Revert-Make-sure-that-internally-we-always-use-pvs-f.patch
Patch162: 0162-Report-that-Engine-3.1-is-supported-by-this-Vdsm.patch
Patch163: 0163-BZ-820525-lvm-ignore-future-additions-to-attr-bits.patch
Patch164: 0164-caps-if-cpuCompare-failes-return-incompat-host.patch
Patch165: 0165-Temporary-workaround-untill-BZ-822158-will-solved.patch
Patch166: 0166-Revert-Report-only-3.0-cluster-level.patch
Patch167: 0167-BZ-755937-configNet-do-not-call-ifup-twice-for-same-.patch
Patch168: 0168-vdsm-set-ballooon-device-model-properly.patch
Patch169: 0169-Move-balloon-s-model-parameter-to-specParams-for-BC-.patch
Patch170: 0170-configNetworks-reject-bridge-names-starting-w-dash.patch
Patch171: 0171-configuNetworks-no-need-to-create-set-repeatedly.patch
Patch172: 0172-BZ-822158-fail-to-join-host-to-cluster.patch
Patch173: 0173-caps.py-_getKeyPackages-change-KEY_PACKAGES.patch
Patch174: 0174-CpuPinning.patch
Patch175: 0175-CpuPinning-for-vdsClient.patch
Patch176: 0176-Fix-unknown-device-issue-for-balloon-device.patch
Patch177: 0177-promisc-bug-fixes-change-name-to-port-mirroring.patch
Patch178: 0178-Change-storageServer-to-handle-numeric-connection-va.patch
Patch179: 0179-BZ-783383-engine.py-space-cleaned-up.patch
Patch180: 0180-BZ-829084-Do-not-use-static-home-for-root-user.patch
Patch181: 0181-BZ-822782-use-mkstemp-on-older-systems.patch
Patch182: 0182-BZ-798188-Disallow-cross-vendor-virtualization.patch
Patch183: 0183-Changing-origin-of-memShared-stats-to-sys-kernel-mm-.patch
Patch184: 0184-BZ-808874-Skip-master-validation-on-repoStat.patch
Patch185: 0185-Iterates-over-delete-candidates-networks-only-once.patch
Patch186: 0186-options-translation-in-setupNetworks-is-not-relevant.patch
Patch187: 0187-Minor-optimization-for-delNetwork.patch
Patch188: 0188-Don-t-ignore-bridgeless-networks-in-ifaceUsers.patch
Patch189: 0189-Minor-optimization-for-addNetwork.patch
Patch190: 0190-Use-already-known-iface-in-addNetwork.patch
Patch191: 0191-Use-proper-MTU-on-bonding-when-add-network.patch
Patch192: 0192-Add-bridge-on-top-of-VLAN-if-exists.patch
Patch193: 0193-BZ-830485-Add-netConfigDirty-bit-to-getVdsCaps-repor.patch
Patch194: 0194-remove-flag-skipLibvirt.patch
Patch195: 0195-BZ-826873-Allow-to-change-bond-without-network-attac.patch
Patch196: 0196-BZ-830486-Allow-to-change-network-according-the-diff.patch
Patch197: 0197-BZ-826467-Allow-to-remove-bond-and-attach-network-to.patch
Patch198: 0198-Get-network-address-for-showNetwork.patch
Patch199: 0199-Related-to-BZ-826873-Allow-to-create-bond-without-ne.patch
Patch200: 0200-BZ-834298-fix-typo-in-keyword-argument-exc_info.patch
Patch201: 0201-vdsm-require-updated-libvirt-for-USB-support.patch
Patch202: 0202-BZ-835784-Allow-to-create-a-network-on-top-of-existi.patch
Patch203: 0203-BZ-833119-Allow-to-create-VLANed-network-on-top-of-e.patch
Patch204: 0204-BZ-833803-Avoid-bond-breaking-after-network-detach.patch
Patch205: 0205-Handle-bond-properly-if-connectivity-check-fail.patch
Patch206: 0206-BZ-835478-hooking.py-expose-execCmd.patch
Patch207: 0207-BZ-802759-Implement-Popen-without-forking-back-to-py.patch
Patch208: 0208-BZ-806555-having-etc-ovirt-node-means-it-is-a-node.patch
Patch209: 0209-BZ-836562-Add-block-file-SD.getAllVolumes.patch
Patch210: 0210-BZ-836562-Refactor-Pool.deleteImage.patch
Patch211: 0211-BZ-836562-Check-move-image-conditions-from-SD-data.patch
Patch212: 0212-BZ-836562-Template-relink-refactored.patch
Patch213: 0213-BZ-836562-Remove-subChainSizeCalc-and-getSubChain.patch
Patch214: 0214-BZ-814435-Adding-the-status-field-to-getDeviceList-i.patch
Patch215: 0215-BZ-829645-Internal-volumes-must-be-RW-in-domain-vers.patch
Patch216: 0216-BZ-836562-Don-t-waste-SD-produces-in-validateSdUUID.patch
Patch217: 0217-BZ-833119-_addNetworkValidation-do-not-explode-if-ST.patch
Patch218: 0218-BZ-836562-Fix-template-image-parameter.patch
Patch219: 0219-Remove-redundant-explicitBonding-parameter-from-setu.patch
Patch220: 0220-BZ-836954-Allow-to-break-bond-and-create-a-new-netwo.patch
Patch221: 0221-configNet-clear-up-atomicBackup-arg.patch
Patch222: 0222-configNet-atomicBackup-remove-new-files-upon-restore.patch
Patch223: 0223-Related-to-BZ-836954-Allow-to-detach-interface-from-.patch
Patch224: 0224-Split-getNetworksForNic-to-getBridgedNetworksForNic-.patch
Patch225: 0225-BZ-837054-Do-not-detach-network-from-the-bond-during.patch
Patch226: 0226-BZ-832798-Fix-typo-in-exception-message.patch
Patch227: 0227-Change-default-encryption-key-size-to-2048-bits.patch
Patch228: 0228-Change-oop-to-be-a-new-process-instead-of-a-fork.patch
Patch229: 0229-removeBridge-drop-remove-interface.patch
Patch230: 0230-replace-the-netinfo-import.patch
Patch231: 0231-configNetwork-fix-NetInfo-call.patch
Patch232: 0232-removeVlan-drop-remove-interface.patch
Patch233: 0233-remove-bridge-before-add-VDSM-bridge.patch
Patch234: 0234-BZ-839330-Move-the-SANLock-SDM-lease-to-a-different-.patch
Patch235: 0235-BZ-839330-Add-the-hasHostId-method-to-the-cluster-lo.patch
Patch236: 0236-BZ-839330-Fix-attachSD-and-masterMigrate-for-domain-.patch
Patch237: 0237-BZ-839330-Do-not-acquire-leases-on-shared-volumes.patch
Patch238: 0238-BZ-839330-Add-the-async-kwarg-to-acquireHostId.patch
Patch239: 0239-BZ-839330-Make-domainMonitor-compliant-to-PEP8.patch
Patch240: 0240-BZ-839330-Monitor-the-host-id-in-domainMonitor.patch
Patch241: 0241-Fix-detachStorageDomain-for-the-ISO-domains.patch
Patch242: 0242-BZ-842338-configNetwork-fix-bonding-mode-issue.patch
Patch243: 0243-BZ-839330-Bump-sanlock-required-version.patch
Patch244: 0244-BZ-839330-make-vdsm-storage-fileUtils.py-PEP8-clean.patch
Patch245: 0245-BZ-839330-make-storage-fileVolume.py-PEP8-clean.patch
Patch246: 0246-BZ-839330-Make-volume.py-for-PEP8-clean.patch
Patch247: 0247-BZ-839330-Separate-the-Volume.share-implementation.patch
Patch248: 0248-BZ-839330-Remove-the-unused-nocache-option.patch
Patch249: 0249-BZ-839330-pep8-fixes-for-storage-blockVolume.py.patch
Patch250: 0250-BZ-839330-Uniform-the-block-and-file-volume-methods.patch
Patch251: 0251-BZ-839330-Unify-the-volume-creation-code-in-volume.c.patch
Patch252: 0252-BZ-839330-Orthogonal-storage-repository-conversion.patch
Patch253: 0253-BZ-839330-Add-the-formatConverter-for-Storage-Domain.patch
Patch254: 0254-BZ-838802-Config-option-to-enable-disable-volume-lea.patch
Patch255: 0255-BZ-839330-Add-missing-import-config-in-domainMonitor.patch
Patch256: 0256-Add-the-hostId-parameter-to-reconstructMaster.patch
Patch257: 0257-BZ-842631-Use-domain-proxies-instead-of-actual-domai.patch
Patch258: 0258-Refactoring-and-optimization-of-_addNetworkValidatio.patch
Patch259: 0259-Split-getNetworksAndVlansForBonding-to-handle-bridge.patch
Patch260: 0260-BZ-831528-BZ-834008-BZ-829037-Fix-validation-for-int.patch
Patch261: 0261-configNetwork-_addNetworkValidation-validate-bridgel.patch
Patch262: 0262-Refactored-configWriter-add-methods-for-code-reuse.patch
Patch263: 0263-configNetwork-handle-VLAN-before-bond-and-nic-in-add.patch
Patch264: 0264-Rename-getNetworksForNic-as-getNetworksForIface.patch
Patch265: 0265-BZ-834205-related-report-ipaddr-of-bridgeless-networ.patch
Patch266: 0266-BZ-843498-getCaps-differentiate-between-bridges-and-.patch
Patch267: 0267-BZ-834205-Add-BOOTPROTO-IPADDR-NETMASK-options-for-b.patch
Patch268: 0268-report-network-s-underlying-device-as-iface.patch
Patch269: 0269-BZ-844294-Add-requiresMailbox-to-StorageDomain.patch
Patch270: 0270-BZ-833099-Induce-MSD-reconstruct-when-getSpmStatus-f.patch
#Patch271: 0271-Fix-build-aux-version-scripts-so-that-internal-tags-.patch
Patch272: 0272-Related-to-BZ-844347-Keep-bond-mode-after-change-net.patch
Patch273: 0273-Don-t-set-BRIDGE-in-nic-s-conf-files-if-it-part-of-t.patch
Patch274: 0274-BZ-844347-Prepare-conf-files-for-all-interfaces-befo.patch
Patch275: 0275-BZ-840386-vms-with-shared-disk-will-pause.patch
Patch276: 0276-BZ-840407-Create-a-fake-template-when-moving-to-back.patch
Patch277: 0277-BZ-835920-send-POSIXFS-instead-of-SHAREDFS.patch
Patch278: 0278-BZ-841863-Change-exception-thrown-by-the-fileUtils-m.patch
Patch279: 0279-BZ-845525-report-bond-s-cfg-not-nic-s.patch
Patch280: 0280-BZ-842771-Fix-for-exception-TypeError-cannot-marshal.patch
Patch281: 0281-BZ-846609-use-a-shorter-dhparams.patch
Patch282: 0282-Related-to-BZ-784931-Removing-the-unused-useCache-pa.patch
Patch283: 0283-BZ-784931-Restore-SD.validate-semantics.patch
Patch284: 0284-BZ-784931-Fixing-race-condition-in-deactivateSD.patch
Patch285: 0285-Add-a-channel-in-vdsm-for-introducing-qemu-ga.patch
Patch286: 0286-BZ-837836-Change-tpgt-variable-to-identically-None.patch
Patch287: 0287-BZ-846014-Fix-virtio-hotplug-disk-fail-to-a-VM-with-.patch
Patch288: 0288-bz-847744-fix-broken-fenceNode-verb.patch
Patch289: 0289-BZ-845346-deployUtil-safely-remove-bridge.patch
Patch290: 0290-BZ-843387-prepareVolumePath-should-set-volPath-or-ra.patch
Patch291: 0291-BZ-848041-Backport-remoteFileHandler-revisions.patch
Patch292: 0292-BZ-846599-fix-logging.patch
Patch293: 0293-BZ-846599-Add-missing-log-object-to-CrabRPCServer.patch
Patch294: 0294-BZ-847328-Check-the-metadata-on-domain-validation.patch
Patch295: 0295-cleanup-do-not-use-external-program-ipcalc-for-ip-va.patch
Patch296: 0296-Move-createLibvirtNetwork-and-removeLibvirtNetwork-t.patch
Patch297: 0297-Add-atomic-persist-backup-capabilities-for-logical-n.patch
Patch298: 0298-configNetwork-Don-t-swallow-exception-during-removeL.patch
Patch299: 0299-BZ-832765-configNetwork-add-restoreAtomicNetworkBack.patch
Patch300: 0300-BZ-832765-Load-backups-from-backup-files-to-memory.patch
Patch301: 0301-Add-restoreBackups-and-clearBackups.patch
Patch302: 0302-configNet-updateConfigValue-record-to-backup-do-not-.patch
Patch303: 0303-clientIF-avoid-network-backups-during-_syncLibvirtNe.patch
Patch304: 0304-Restart-network-service-during-restore-backups.patch
Patch305: 0305-configNetwork-Ignore-libvirt-exception-for-network-r.patch
Patch306: 0306-confNet-no-need-to-validate-deleted-network-name.patch
Patch307: 0307-BZ-845830-confNet-Remove-most-of_validateNetworkSetu.patch
Patch308: 0308-BZ-838924-require-libvirt-w-o-keepalive-regression.patch
Patch309: 0309-BZ-832765-Rewrite-vdsm-restore-net-config-as-python-.patch
Patch310: 0310-BZ-840594-Fix-netinfo-when-libvirt-bridge-does-not-e.patch
Patch311: 0311-BZ-848728-Report-host-hyperthreads-as-real-cores.patch
Patch312: 0312-BZ-848299-Fix-delete-VLANed-network-with-custom-MTU.patch
Patch313: 0313-netConfig-translate-to-new-option-names-from-cmdline.patch
Patch314: 0314-legal-bootstrap-update-copyright-years.patch
Patch315: 0315-bootstrap-search-own-ssh-key-without-base64-suffix.patch
Patch316: 0316-bootstrap-sync-logging-between-two-phases.patch
Patch317: 0317-bootstrap-cleanup-file-cleanup-function.patch
Patch318: 0318-bootstrap-always-use-tmp-for-output-files.patch
Patch319: 0319-bootstrap-introduce-bootstrap-interface-version.patch
Patch320: 0320-bootstrap-remove-temporary-files-even-if-some-missin.patch
Patch321: 0321-BZ-790742-BZ-790758-bootstrap-send-complete-bootstra.patch
Patch322: 0322-bootstrap-return-proper-exit-code-from-bootstrap-scr.patch
Patch323: 0323-BZ-849315-vdsm-reg-return-proper-exit-code-from-upgr.patch
Patch324: 0324-BZ-849542-bootstrap-set-system-time-as-soon-as-possi.patch
Patch325: 0325-BZ-844656-Respawn-the-domain-monitor-when-needed.patch
Patch326: 0326-configNet-introduce-ConfigWriter.restorePersistentBa.patch
Patch327: 0327-BZ-849934-Support-the-quiesce-flag-during-a-live-sna.patch
Patch328: 0328-BZ-849934-Use-quiesce-only-if-qgaEnable-is-enabled.patch
Patch329: 0329-BZ-846004-IP-on-nic-bond-should-be-preserved-when-VL.patch
Patch330: 0330-Restore-previous-MTU-on-bond-when-VLAN-with-bigger-M.patch
Patch331: 0331-configNetwork-use-MTU-as-int-in-setNewMtu.patch
Patch332: 0332-Related-to-BZ-848616-rename-get_rhevm_config.patch
Patch333: 0333-Related-to-BZ-848616-rename-write_vdsm_config.patch
Patch334: 0334-Related-to-BZ-848616-engine.py-rename-callbacks.patch
Patch335: 0335-Related-to-BZ-848616-engine.py-Rename-vars.patch
Patch336: 0336-BZ-848616-vdsm-reg.conf-change-vdc_host_port.patch
Patch337: 0337-BZ-842115-Generating-uuid-for-libvirt-configuration.patch
Patch338: 0338-BZ-840294-Add-sanlock-packages-to-REQ_PACK-list.patch
Patch339: 0339-BZ-846312-Keep-MTU-on-ehtX-after-bond-editing-when-e.patch
Patch340: 0340-BZ-846312-Keep-max-MTU-when-adding-non-VLANed-bridge.patch
Patch341: 0341-improve-message-when-trying-to-attach-import-domain-.patch
Patch342: 0342-BZ-833084-Set-StoragePool.id-to-SPM_ID_FREE-by-defau.patch
Patch343: 0343-BZ-827486-Change-waitForMigrationDestinationPrepare-.patch
Patch344: 0344-configNet-grant-proper-selinux-context-to-ifcfg.patch
Patch345: 0345-BZ-843076-vdsm-upgrade-use-scripts-from-ovirtnode.patch
Patch346: 0346-tc-list-some-information-about-filters.patch
Patch347: 0347-tc-make-TCException-more-accessible-programmatically.patch
Patch348: 0348-tc-silently-ignore-ingress-qdisc-re-creation.patch
Patch349: 0349-tc-rename-qdisc_replace_prio.patch
Patch350: 0350-tc-refine-unsetPortMirroring.patch
Patch351: 0351-tc-add-to-PEP8_WHITELIST.patch
Patch352: 0352-tc-Give-a-clearer-name-to-qdisc_get_devid.patch
Patch353: 0353-tc-unsetPortMirroring-deleting-a-target-twice-is-fin.patch
Patch354: 0354-tc-avoid-adding-non-existing-devices-to-filter.patch
Patch355: 0355-tc-_delTarget-fix-an-evil-type-error.patch
Patch356: 0356-Remove-BRIDGE-line-from-nic-bond-cofig-file-when-rem.patch
Patch357: 0357-libvirtvm-un-setPortMirroring-when-hot-un-plugging.patch
Patch358: 0358-BZ-852989-Bump-libvirt-required-version-for-EL6.patch
Patch359: 0359-BZ-851518-Upgrade-a-data-domain-on-attachSD-when-req.patch
Patch360: 0360-vdsmd-always-restarts-libvirtd-upon-start-up.patch
Patch361: 0361-Libvirt-service-engagement-workaround.patch
Patch362: 0362-Enable-network-filtering.patch
Patch363: 0363-BZ-752470-Asynchronous-LVM-bootstrap-on-vdsm-start.patch
Patch364: 0364-BZ-846376-Produce-the-domain-in-the-domain-monitor-t.patch
Patch365: 0365-Define-network-filter-on-libvirt.patch
Patch366: 0366-fileSD.getDomUuidFromMetafilePath-return-correct-sdU.patch
Patch367: 0367-vdsmd-set-nwfilter-on-ovirt-node.patch
Patch368: 0368-Trigger-reboot-automatically-after-upgrade.patch
Patch369: 0369-Update-MTU-when-removing-one-of-networks-with-custom.patch
Patch370: 0370-Change-getVlansForNic-to-more-general-getVlansForIfa.patch
Patch371: 0371-Set-right-MTU-when-removing-bridgeless-networks.patch
Patch372: 0372-Continue-support-nicless-bridge.patch
Patch373: 0373-Make-vdsm-configNetwork.py-PEP8-clean.patch
Patch374: 0374-removing-vdsm-tool-854212.patch
Patch375: 0375-Add-network-logs-for-VDSM-network-commands-and-file-.patch
Patch376: 0376-vdsm-reg-setup-get-hostname-with-gethostname.patch
Patch377: 0377-BZ-846323-Search-PV-s-belonging-to-the-VG-in-removeV.patch
Patch378: 0378-Related-to-BZ-846323-Adding-deprecated-to-removeVG.patch
Patch379: 0379-Bump-sanlock-required-version-for-EL6.patch
Patch380: 0380-Fix-the-check-to-convert-block-domains-V0-to-tag-met.patch
Patch381: 0381-setNetworking-return-bridge-status.patch
Patch382: 0382-Fix-crash-when-libvirt-refers-to-non-existing-non-br.patch
Patch383: 0383-Do-not-propagate-top-layer-interfaces-bootproto-to-t.patch
Patch384: 0384-Require-a-new-initscripts-9.03.31-2.el6_3.1.patch
Patch385: 0385-BZ-844180-Change-scsi-scan-to-asynchronous.patch
Patch386: 0386-bootstrap-install-vdsm-vdsm-cli-at-single-transactio.patch
Patch387: 0387-engine.py-fail-if-Password-doesn-t-match.patch
Patch388: 0388-BZ829710-Get-VMList-with-oop-if-necessary.patch
Patch389: 0389-Remove-unused-glob-import.patch
Patch390: 0390-Fix-BZ-846323-fix.patch
Patch391: 0391-vdsm-Unifying-engine-and-vdsm-commit-templates.patch
Patch392: 0392-Added-gluster-support-into-vds-bootstrap.patch
Patch393: 0393-domain-releaseHostId-only-when-the-domain-is-present.patch
Patch394: 0394-Parse-correctly-the-management_server-parameter.patch
Patch395: 0395-Add-input-parameter-to-_logExec.patch
Patch396: 0396-Validate-downloaded-CA-certificate.patch
Patch397: 0397-Validate-downloaded-SSH-public-key.patch
Patch398: 0398-BZ-855922-fix-attribute-error-during-migration.patch
Patch399: 0399-BZ-781975-VM-creation-concurrency-limit.patch
Patch400: 0400-Move-the-creation-of-data-updates-out-of-init-script.patch
Patch401: 0401-vdsm-upgrade-stop-vdsm-when-complete-upgrade.patch
Patch402: 0402-Added-gluster-cli-support-in-supervdsm.patch
Patch403: 0403-gluster.cli-report-failures-as-error-dict-to-Engine.patch
Patch404: 0404-Added-Gluster-file-system-management-support.patch
Patch405: 0405-glusterVolumesList-list-all-volumes-or-specified-vol.patch
Patch406: 0406-glusterHostsList-returns-host-info-as-list-of-dictio.patch
Patch407: 0407-Added-_execGlusterXml.patch
Patch408: 0408-glusterHostsList-verb-uses-gluster-cli-xml-output.patch
Patch409: 0409-glusterHostsList-verb-returns-local-hostname-as-IP-a.patch
Patch410: 0410-Read-source-bridge-of-NIC-interface-only-if-exists.patch
Patch411: 0411-Remove-unneeded-import-caps.patch
Patch412: 0412-bootstrap-remove-MAC-address-from-vds-unique-id.patch
Patch413: 0413-Refresh-storage-in-getDevicesVisibility-using-forceI.patch
Patch414: 0414-vdsm-Use-virsh-to-check-if-libvirt-is-up.patch
Patch415: 0415-Store-engine-web-CA-cert-in-engine_web_ca.pem.patch
Patch416: 0416-Fix-disconnect-iscsi-connections.patch
Patch417: 0417-setNetworking-set-bridge-status.patch
Patch418: 0418-BZ-855918-Configure-libvirt-to-use-sanlock.patch
Patch419: 0419-BZ-855918-Do-not-append-comments-to-config-values.patch
Patch420: 0420-move-storage.misc.retry-to-vdsm.utils.patch
Patch421: 0421-bootstrap-allow-customize-bridge-name-for-standard-s.patch
Patch422: 0422-libvirtconnection-retry-opening-a-libvirt-connection.patch
Patch423: 0423-Bump-libvirt-version-to-libvirt-0.9.10-21.el6_3.5.patch
Patch424: 0424-Add-genisoimage-to-rpm-dependencies.patch
Patch425: 0425-with-exceptions-some-variables-could-be-uninitialise.patch
Patch426: 0426-sdcache-remove-the-domain-weakref-cache.patch
Patch427: 0427-storage-failure-to-reconnect-to-authenticated-iSCSI-.patch
Patch428: 0428-port-mirroring-requires-a-newer-kernel.patch
Patch429: 0429-setup-move-the-certificate-generation.patch
Patch430: 0430-setup-move-selinux-from-init-to-spec.patch
Patch431: 0431-vdsm.spec.in-use-locale-LC_ALL-C.patch
Patch432: 0432-setup-configure-selinux-for-sanlock-on-nfs.patch
Patch433: 0433-Generalize-asynchronous-ifupping-of-network-interfac.patch
Patch434: 0434-Make-nics-vlan-and-bonding-dhcp-ifup-to-be-asynchron.patch
Patch435: 0435-volume-remove-domain-shared-lock-from-getVolumeSize.patch
Patch436: 0436-report-cpuUser-and-cpuSys-separately-800367.patch
Patch437: 0437-domain-fix-onDomainConnectivityStateChange-attribute.patch
Patch438: 0438-storage-Change-low-priority-tasks-to-idle-priority.patch
Patch439: 0439-storage-can-t-create-gpfs-domain.patch
Patch440: 0440-Change-source-of-CPU-sockets-cores-to-libvirt-capabi.patch
Patch441: 0441-start-ksm-and-ksmtuned-when-vdsm-starts.patch
Patch442: 0442-SuperVdsm-validation-of-recovery-after-crash.patch
Patch443: 0443-Add-name-attribute-to-VM-conf-during-_getUnderlyingN.patch
Patch444: 0444-Clean-rhev-data-center-mnt-after-failed-mount-comman.patch
Patch445: 0445-Update-scsi_id-options-format-and-add-devices-to-mul.patch
Patch446: 0446-stats-move-the-lastCheck-computation-to-getRepoStats.patch
Patch447: 0447-BZ-855924-fix-VM-config-dictionary.patch
Patch448: 0448-NIC-hotplug-should-fail-if-setPortMirroring-failed.patch
Patch449: 0449-upgrade-handle-the-templates-lease-files.patch
Patch450: 0450-dumpStorageTable-fix-path-to-ovf-files.patch
Patch451: 0451-sos-vdsm.py-Add-vdsm-reg-dir.patch
Patch452: 0452-Don-t-require-fingerprint.patch
Patch453: 0453-itmap-starts-threads-for-each-argument-causes-too-ma.patch
Patch454: 0454-libvirt_password-remove-new-line-char.patch
Patch455: 0455-vm-remove-unused-reqsize-and-needExtend.patch
Patch456: 0456-image-avoid-prezeroing-optimization-in-some-cases.patch
Patch457: 0457-Revert-Initial-live-block-migration-API.patch
Patch458: 0458-pool-live-storage-migration-implementation.patch
Patch459: 0459-packaging-add-vdsm-cli-dependency-to-vdsm.patch
Patch460: 0460-api-fix-api-breakage-of-config-and-netinfo-used-by-b.patch
Patch461: 0461-api-start-libvirtd-when-netinfo-module-is-loaded.patch
Patch462: 0462-volume-save-the-correct-size-during-creation.patch
Patch463: 0463-Replace-ovirt-Engine-string-with-ENGINENAME.patch
Patch464: 0464-Do-not-ship-vdsm-gluster-in-rhev.patch
Patch465: 0465-Fix-race-in-fileUtils.createdir.patch
Patch466: 0466-Fix-exception-string-in-lvm.changeVGTags.patch
Patch467: 0467-Require-lvm-with-ignored_mdas-fix.patch
Patch468: 0468-BZ-867439-VM-unexpectedly-was-shutdown-after-migrati.patch
Patch469: 0469-Fix-version-handling-for-NFS.patch
Patch470: 0470-Make-sure-teardown-is-called-in-case-of-errors.patch
Patch471: 0471-Add-rescan-to-formatStorageDomain-to-solve-multipath.patch
Patch472: 0472-Catch-exception-thrown-by-forceIScsiScan-causing-dis.patch
Patch473: 0473-Fix-problem-where-a-0-error-code-will-cause-remoteFi.patch
Patch474: 0474-storage-Don-t-ignore-nfs_mount_options-in-vdsm.conf.patch
Patch475: 0475-Make-sure-during-upgrade-that-lease-files-have-corre.patch
Patch476: 0476-fileVolume-make-getVSize-a-real-classmethod.patch
Patch477: 0477-BZ-855924-fix-3.1-3.0-migration-again.patch
Patch478: 0478-Cleanup-unlinked-mounts-should-be-sync-to-hsm-initia.patch
Patch479: 0479-Don-t-forget-to-close-thread-pool-when-stopping-the-.patch
Patch480: 0480-Related-to-BZ-836161-Add-image-to-task-name-to-impro.patch
Patch481: 0481-BZ-836161-Pluralize-lvm.changelv.patch
Patch482: 0482-BZ-836161-Rewrite-of-deleteImage.patch
Patch483: 0483-BZ-836161-Changed-code-obsoleted-by-deleteImage-rewr.patch
Patch484: 0484-libvirtvm-set-volume-the-format-in-live-snapshots.patch
Patch485: 0485-Not-remove-volumeless-or-inexistent-images.patch
Patch486: 0486-pool-refresh-multipath-on-connectStoragePool.patch
Patch487: 0487-vdsm-Disable-virtio-console.patch
Patch488: 0488-Fix-block-volume-atomicity-creation-issue.patch

%description
The VDSM service is required by a Virtualization Manager to manage the
Linux hosts. VDSM manages and monitors the host's storage, memory and
networks as well as virtual machine creation, other host administration
tasks, statistics gathering, and log collection.

%package cli
Summary:        VDSM command line interface
BuildArch:      noarch

Requires: %{name}-python = %{version}-%{release}

%description cli
Call VDSM commands from the command line. Used for testing and debugging.

%package bootstrap
Summary:        VDSM bootstrapping package
BuildArch:      noarch

%description bootstrap
VDSM bootstrapping package. Used for delivering the bootstrap code onto the
Virtualization Manager.

%package reg
Summary:        VDSM registration package
BuildArch:      noarch

Requires: %{name} = %{version}-%{release}
Requires: traceroute

%description reg
VDSM registration package. Used to register a Linux host to a Virtualization
Manager.

%package python
Summary:        VDSM python libraries

%description python
Shared libraries beween the various VDSM packages.

%package debug-plugin
Summary:        VDSM Debug Plugin
Requires:       vdsm
BuildArch:      noarch

%description debug-plugin
Used by the trained monkeys at Red Hat to insert chaos and mayhem in to VDSM.

%package hook-vhostmd
Summary:        VDSM hook set for interaction with vhostmd
Requires:       vhostmd
BuildArch:      noarch

%description hook-vhostmd
VDSM hook to use vhostmd per VM according to Virtualization Manager requests.

%package hook-faqemu
Summary:        Fake qemu process for VDSM quality assurance
BuildArch:      noarch

%description hook-faqemu
VDSM hook used for testing VDSM with multiple fake virtual machines without
running real guests.

%package hook-directlun
Summary:        Direct LUN support for VDSM
BuildArch:      noarch

%description hook-directlun
VDSM hook enable user to add storage LUN for VDSM
without the sharing and storage handling of VDSM.

%package hook-fileinject
Summary:        Allow uploading file to VMs disk
BuildArch:      noarch

%description hook-fileinject
Hook is getting target file name and its content and
create that file in target machine.

%package hook-floppy
Summary:        Allow adding floppy to VM
BuildArch:      noarch

%description hook-floppy
Allow adding floppy to VM

%package hook-hostusb
Summary:        Allow attaching USB device from host
BuildArch:      noarch

%description hook-hostusb
Hook is getting vendor and product id of USB device
disconnect it from host and attach it to VM

%package hook-hugepages
Summary:        Huge pages enable user to handle VM with 2048KB page files.
BuildArch:      noarch

%description hook-hugepages
Hook is getting number of huge pages reserve them for the VM,
and enable user to handle VM with 2048KB page files.

%package hook-isolatedprivatevlan
Summary:        Isolated network environment for VMs
BuildArch:      noarch

%description hook-isolatedprivatevlan
limit VM traffic to a specific gateway by its mac address,
hook prevent VM from spoofing its mac or  ip address
by using <filterref filter='clean-traffic'/> libvirt filter
and by adding custom filter: isolatedprivatevlan-vdsm.xml

%package hook-numa
Summary:        numa sopport for VDSM
BuildArch:      noarch

%description hook-numa
Hooks is getting number/rage of numa nodes and numa mode,
and update the VM xml.

%package hook-pincpu
Summary:        Hook pin VM so specific CPUs
BuildArch:      noarch

%description hook-pincpu
pincpu is hook for VDSM.
pincpu enable to pin virtual machine to a specific CPUs.

%package hook-promisc
Summary:        Network interface promiscuous mode support for VDSM
BuildArch:      noarch

%description hook-promisc
VDSM promiscuous mode let user define a VM interface that will capture
all network traffic.

%package hook-qos
Summary:        QoS network in/out traffic support for VDSM
BuildArch:      noarch

%description hook-qos
Hook adds QoS in/out traffic to VMs interfaces

%package hook-scratchpad
Summary:        One time disk creation for VDSM
BuildArch:      noarch

%description hook-scratchpad
scratchpad hook for VDSM
Hook creates a disk for a VM onetime usage,
the disk will be erased when the VM destroyed.
VM cannot be migrated when using scratchpad hook

%package hook-smartcard
Summary:        Smartcard support for Spice protocol in VDSM
BuildArch:      noarch

%description hook-smartcard
Smartcard hook add support for spice in VDSM.
Smartcard hook enable user to use its smartcard inside virtual machines.

%package hook-smbios
Summary:        Adding custom smbios entries to libvirt domain via VDSM
BuildArch:      noarch

%description hook-smbios
Adding custom smbios entries to libvirt domain via VDSM
such as: vendor, version, date and release

%package hook-sriov
Summary:        sr-iov support for VDSM
BuildArch:      noarch

%description hook-sriov
sr-iov hook enable to add virtual functions exposed by the device
directly to a virtual machine.

%package hook-vmdisk
Summary:        External disk support for VDSM
BuildArch:      noarch

%description hook-vmdisk
Hook adds additional disk image for a VM (raw or qcow2)

#%package gluster
#Summary:        Gluster Plugin for VDSM
#BuildArch:      noarch
#
#Requires: %{name} = %{version}-%{release}
#Requires: glusterfs glusterfs-server glusterfs-fuse
#
#%description gluster
#Gluster plugin enables VDSM to serve Gluster functionalities.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
#%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
#%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1
%patch89 -p1
%patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch95 -p1
%patch96 -p1
%patch97 -p1
%patch98 -p1
%patch99 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch137 -p1
%patch138 -p1
#%patch139 -p1
%patch140 -p1
%patch141 -p1
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch145 -p1
%patch146 -p1
%patch147 -p1
%patch148 -p1
%patch149 -p1
%patch150 -p1
%patch151 -p1
%patch152 -p1
%patch153 -p1
%patch154 -p1
%patch155 -p1
%patch156 -p1
#%patch157 -p1
%patch158 -p1
%patch159 -p1
%patch160 -p1
%patch161 -p1
%patch162 -p1
%patch163 -p1
%patch164 -p1
%patch165 -p1
%patch166 -p1
%patch167 -p1
%patch168 -p1
%patch169 -p1
%patch170 -p1
%patch171 -p1
%patch172 -p1
%patch173 -p1
%patch174 -p1
%patch175 -p1
%patch176 -p1
%patch177 -p1
%patch178 -p1
%patch179 -p1
%patch180 -p1
%patch181 -p1
%patch182 -p1
%patch183 -p1
%patch184 -p1
%patch185 -p1
%patch186 -p1
%patch187 -p1
%patch188 -p1
%patch189 -p1
%patch190 -p1
%patch191 -p1
%patch192 -p1
%patch193 -p1
%patch194 -p1
%patch195 -p1
%patch196 -p1
%patch197 -p1
%patch198 -p1
%patch199 -p1
%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch210 -p1
%patch211 -p1
%patch212 -p1
%patch213 -p1
%patch214 -p1
%patch215 -p1
%patch216 -p1
%patch217 -p1
%patch218 -p1
%patch219 -p1
%patch220 -p1
%patch221 -p1
%patch222 -p1
%patch223 -p1
%patch224 -p1
%patch225 -p1
%patch226 -p1
%patch227 -p1
%patch228 -p1
%patch229 -p1
%patch230 -p1
%patch231 -p1
%patch232 -p1
%patch233 -p1
%patch234 -p1
%patch235 -p1
%patch236 -p1
%patch237 -p1
%patch238 -p1
%patch239 -p1
%patch240 -p1
%patch241 -p1
%patch242 -p1
%patch243 -p1
%patch244 -p1
%patch245 -p1
%patch246 -p1
%patch247 -p1
%patch248 -p1
%patch249 -p1
%patch250 -p1
%patch251 -p1
%patch252 -p1
%patch253 -p1
%patch254 -p1
%patch255 -p1
%patch256 -p1
%patch257 -p1
%patch258 -p1
%patch259 -p1
%patch260 -p1
%patch261 -p1
%patch262 -p1
%patch263 -p1
%patch264 -p1
%patch265 -p1
%patch266 -p1
%patch267 -p1
%patch268 -p1
%patch269 -p1
%patch270 -p1
#%patch271 -p1
%patch272 -p1
%patch273 -p1
%patch274 -p1
%patch275 -p1
%patch276 -p1
%patch277 -p1
%patch278 -p1
%patch279 -p1
%patch280 -p1
%patch281 -p1
%patch282 -p1
%patch283 -p1
%patch284 -p1
%patch285 -p1
%patch286 -p1
%patch287 -p1
%patch288 -p1
%patch289 -p1
%patch290 -p1
%patch291 -p1
%patch292 -p1
%patch293 -p1
%patch294 -p1
%patch295 -p1
%patch296 -p1
%patch297 -p1
%patch298 -p1
%patch299 -p1
%patch300 -p1
%patch301 -p1
%patch302 -p1
%patch303 -p1
%patch304 -p1
%patch305 -p1
%patch306 -p1
%patch307 -p1
%patch308 -p1
%patch309 -p1
%patch310 -p1
%patch311 -p1
%patch312 -p1
%patch313 -p1
%patch314 -p1
%patch315 -p1
%patch316 -p1
%patch317 -p1
%patch318 -p1
%patch319 -p1
%patch320 -p1
%patch321 -p1
%patch322 -p1
%patch323 -p1
%patch324 -p1
%patch325 -p1
%patch326 -p1
%patch327 -p1
%patch328 -p1
%patch329 -p1
%patch330 -p1
%patch331 -p1
%patch332 -p1
%patch333 -p1
%patch334 -p1
%patch335 -p1
%patch336 -p1
%patch337 -p1
%patch338 -p1
%patch339 -p1
%patch340 -p1
%patch341 -p1
%patch342 -p1
%patch343 -p1
%patch344 -p1
%patch345 -p1
%patch346 -p1
%patch347 -p1
%patch348 -p1
%patch349 -p1
%patch350 -p1
%patch351 -p1
%patch352 -p1
%patch353 -p1
%patch354 -p1
%patch355 -p1
%patch356 -p1
%patch357 -p1
%patch358 -p1
%patch359 -p1
%patch360 -p1
%patch361 -p1
%patch362 -p1
%patch363 -p1
%patch364 -p1
%patch365 -p1
%patch366 -p1
%patch367 -p1
%patch368 -p1
%patch369 -p1
%patch370 -p1
%patch371 -p1
%patch372 -p1
%patch373 -p1
%patch374 -p1
%patch375 -p1
%patch376 -p1
%patch377 -p1
%patch378 -p1
%patch379 -p1
%patch380 -p1
%patch381 -p1
%patch382 -p1
%patch383 -p1
%patch384 -p1
%patch385 -p1
%patch386 -p1
%patch387 -p1
%patch388 -p1
%patch389 -p1
%patch390 -p1
%patch391 -p1
%patch392 -p1
%patch393 -p1
%patch394 -p1
%patch395 -p1
%patch396 -p1
%patch397 -p1
%patch398 -p1
%patch399 -p1
%patch400 -p1
%patch401 -p1
%patch402 -p1
%patch403 -p1
%patch404 -p1
%patch405 -p1
%patch406 -p1
%patch407 -p1
%patch408 -p1
%patch409 -p1
%patch410 -p1
%patch411 -p1
%patch412 -p1
%patch413 -p1
%patch414 -p1
%patch415 -p1
%patch416 -p1
%patch417 -p1
%patch418 -p1
%patch419 -p1
%patch420 -p1
%patch421 -p1
%patch422 -p1
%patch423 -p1
%patch424 -p1
%patch425 -p1
%patch426 -p1
%patch427 -p1
%patch428 -p1
%patch429 -p1
%patch430 -p1
%patch431 -p1
%patch432 -p1
%patch433 -p1
%patch434 -p1
%patch435 -p1
%patch436 -p1
%patch437 -p1
%patch438 -p1
%patch439 -p1
%patch440 -p1
%patch441 -p1
%patch442 -p1
%patch443 -p1
%patch444 -p1
%patch445 -p1
%patch446 -p1
%patch447 -p1
%patch448 -p1
%patch449 -p1
%patch450 -p1
%patch451 -p1
%patch452 -p1
%patch453 -p1
%patch454 -p1
%patch455 -p1
%patch456 -p1
%patch457 -p1
%patch458 -p1
%patch459 -p1
%patch460 -p1
%patch461 -p1
%patch462 -p1
%patch463 -p1
%patch464 -p1
%patch465 -p1
%patch466 -p1
%patch467 -p1
%patch468 -p1
%patch469 -p1
%patch470 -p1
%patch471 -p1
%patch472 -p1
%patch473 -p1
%patch474 -p1
%patch475 -p1
%patch476 -p1
%patch477 -p1
%patch478 -p1
%patch479 -p1
%patch480 -p1
%patch481 -p1
%patch482 -p1
%patch483 -p1
%patch484 -p1
%patch485 -p1
%patch486 -p1
%patch487 -p1
%patch488 -p1

%build
sed -i 's:m4_esyscmd(.build-aux.version.sh..:%{version}:;s:m4_esyscmd(.build-aux.release.sh..:%{release}:' configure.ac
autoreconf -if
%configure %{?with_hooks:--enable-hooks}
make
# Setting software_version and software_revision in dsaversion.py
baserelease=`echo "%{release}" | sed 's/\([0-9]\+\(\.[0-9]\+\)\?\).*/\1/'`
baseversion=`echo "%{version}" | sed 's/\([0-9]\+\(\.[0-9]\+\)\?\).*/\1/'`
sed -i -e 's/^software_version =.*/software_version = "'"${baseversion}"'"/' \
       -e 's/^software_revision =.*/software_revision = "'"${baserelease}"'"/' vdsm/dsaversion.py

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# Install the respawn utility
install -Dm 0755 vdsm/respawn \
                 %{buildroot}%{_datadir}/%{vdsm_name}/respawn

# Install the lvm rules
install -Dm 0644 vdsm/storage/12-vdsm-lvm.rules \
                 %{buildroot}/lib/udev/rules.d/12-vdsm-lvm.rules

install -Dm 0644 vdsm/limits.conf \
                 %{buildroot}/etc/security/limits.d/99-vdsm.conf

%if 0%{?rhel}
# Install the SysV init scripts
install -Dm 0755 vdsm/vdsmd.init %{buildroot}%{_initrddir}/vdsmd
install -Dm 0755 vdsm_reg/vdsm-reg.init %{buildroot}%{_initrddir}/vdsm-reg

# This is not commonplace, but we want /var/log/core to be a world-writable
# dropbox for core dumps
install -dDm 1777 %{buildroot}%{_localstatedir}/log/core
%else
# Install the configuration sample
install -Dm 0644 vdsm/vdsm.conf.sample \
                 %{buildroot}%{_sysconfdir}/vdsm/vdsm.conf

# Install the systemd scripts
install -Dm 0755 vdsm/vdsmd.init %{buildroot}/lib/systemd/systemd-vdsmd
install -Dm 0644 vdsm/vdsmd.service %{buildroot}%{_unitdir}/vdsmd.service
install -Dm 0755 vdsm_reg/vdsm-reg.init \
                 %{buildroot}/lib/systemd/systemd-vdsm-reg
install -Dm 0644 vdsm_reg/vdsm-reg.service \
                 %{buildroot}%{_unitdir}/vdsm-reg.service
# Install the polkit for libvirt
install -Dm 0644 vdsm/vdsm-libvirt-access.pkla \
                 %{buildroot}%{_polkitdir}/10-vdsm-libvirt-access.pkla
%endif

#%check
#make check

%clean
rm -rf %{buildroot}

%pre
# Force standard locale behavior (English)
export LC_ALL=C

/usr/bin/getent passwd %{vdsm_user} >/dev/null || \
    /usr/sbin/useradd -r -u 36 -g %{vdsm_group} -d /var/lib/vdsm \
        -s /sbin/nologin -c "Node Virtualization Manager" %{vdsm_user}
/usr/sbin/usermod -a -G %{qemu_group},%{snlk_group} %{vdsm_user}
/usr/sbin/usermod -a -G %{qemu_group},%{vdsm_group} %{snlk_user}

# vdsm makes extensive use of nfs-exported images
# The next lines will collect the default selinux behaviour for the booleans
virtNFS=$(/usr/sbin/semanage boolean -l | /bin/grep virt_use_nfs | cut -d ',' -f 2)
virtSANLOCK=$(/usr/sbin/semanage boolean -l | /bin/grep virt_use_sanlock | cut -d ',' -f 2)
snlkNFS=$(/usr/sbin/semanage boolean -l | /bin/grep sanlock_use_nfs | cut -d ',' -f 2)

# Set the booleans and persist it across reboots
if [[ "${virtNFS}" == *off* || "${virtSANLOCK}" == *off* || \
      "${snlkNFS}" == *off* ]]; then
    /usr/sbin/semanage boolean -m -S targeted -F /dev/stdin  << _EOF
virt_use_nfs=1
virt_use_sanlock=1
sanlock_use_nfs=1
_EOF
fi

# Set the current state of SELinux booleans
if /usr/sbin/selinuxenabled; then
    /usr/sbin/setsebool virt_use_nfs on
    /usr/sbin/setsebool virt_use_sanlock on
    /usr/sbin/setsebool sanlock_use_nfs on
fi

%post
# update the vdsm "secret" password for libvirt
if [ -f /etc/pki/vdsm/keys/libvirt_password ]; then
    /usr/sbin/saslpasswd2 -p -a libvirt vdsm@rhevh < \
        /etc/pki/vdsm/keys/libvirt_password
fi

%if 0%{?rhel}
if [ "$1" -eq 1 ] ; then
    /sbin/chkconfig --add vdsmd
fi
%else
if [ "$1" -eq 1 ] ; then
    /bin/systemctl enable vdsmd.service >/dev/null 2>&1 || :
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi
exit 0
%endif

%preun
%if 0%{?rhel}
if [ "$1" -eq 0 ]
then
    /sbin/service vdsmd stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del vdsmd

    /bin/sed -i '/# by vdsm$/d' \
        /etc/libvirt/libvirtd.conf \
        /etc/libvirt/qemu.conf \
        /etc/sysconfig/libvirtd \
        /etc/sysctl.conf

    /bin/sed -i '/# VDSM section begin/,/# VDSM section end/d' \
        /etc/sysctl.conf

    /usr/sbin/semanage boolean -m -S targeted -F /dev/stdin  << _EOF
virt_use_nfs=0
virt_use_sanlock=0
sanlock_use_nfs=0
_EOF

    if /usr/sbin/selinuxenabled; then
        /usr/sbin/setsebool virt_use_nfs off
        /usr/sbin/setsebool virt_use_sanlock off
        /usr/sbin/setsebool sanlock_use_nfs off
    fi

    /usr/sbin/saslpasswd2 -p -a libvirt -d vdsm@rhevh

    if /sbin/initctl status libvirtd >/dev/null 2>/dev/null ; then
        /sbin/initctl stop libvirtd  >/dev/null 2>/dev/null
        rm -f /etc/init/libvirtd.conf

        /sbin/chkconfig libvirtd on
        /sbin/service libvirtd start >/dev/null
    fi
fi
%else
if [ "$1" -eq 0 ]; then
    /bin/systemctl --no-reload disable vdsmd.service > /dev/null 2>&1 || :
    /bin/systemctl stop vdsmd.service > /dev/null 2>&1 || :
fi
exit 0
%endif

%postun
%if 0%{?rhel}
if [ "$1" -ge 1 ]; then
    /sbin/service vdsmd condrestart > /dev/null 2>&1
fi
exit 0
%else
if [ "$1" -ge 1 ] ; then
    /bin/systemctl try-restart vdsmd.service >/dev/null 2>&1 || :
fi
exit 0
%endif

%if 0%{?rhel}
%triggerun -- libvirt
if [ "$2" -eq "0" ]; then
    /sbin/initctl stop libvirtd > /dev/null 2>&1 || :
fi

%triggerpostun -- libvirt
if [ "$2" -ge "1" ]; then
    /sbin/initctl restart libvirtd > /dev/null 2>&1 || :
fi
%endif

%post reg
%if 0%{?rhel}
if [ "$1" -eq 1 ] ; then
    /sbin/chkconfig --add vdsm-reg
fi
%else
if [ "$1" -eq 1 ] ; then
    /bin/systemctl enable vdsmd-reg.service >/dev/null 2>&1 || :
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi
exit 0
%endif

%preun reg
%if 0%{?rhel}
if [ "$1" -eq 0 ]
then
    /sbin/service vdsm-reg stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del vdsm-reg
fi
%else
if [ "$1" -eq 0 ]; then
    /bin/systemctl --no-reload disable vdsmd-reg.service > /dev/null 2>&1 || :
    /bin/systemctl stop vdsmd-reg.service > /dev/null 2>&1 || :
fi
exit 0
%endif

%files
%defattr(-, root, root, -)
%doc COPYING README vdsm/vdsm.conf.sample
%if 0%{?rhel}
%{_initrddir}/vdsmd
%else
/lib/systemd/systemd-vdsmd
%{_unitdir}/vdsmd.service
%endif
%dir %attr(0775, root, root) /rhev/data-center
%dir %{_libexecdir}/%{vdsm_name}
%dir %{_datadir}/%{vdsm_name}
%dir %{_datadir}/%{vdsm_name}/storage
%{_datadir}/%{vdsm_name}/blkid.py*
%{_datadir}/%{vdsm_name}/caps.py*
%{_datadir}/%{vdsm_name}/clientIF.py*
%{_datadir}/%{vdsm_name}/BindingXMLRPC.py*
%{_datadir}/%{vdsm_name}/API.py*
%{_datadir}/%{vdsm_name}/get-vm-pid
%{_datadir}/%{vdsm_name}/hooking.py*
%{_datadir}/%{vdsm_name}/hooks.py*
%{_datadir}/%{vdsm_name}/libvirtev.py*
%{_datadir}/%{vdsm_name}/libvirtvm.py*
%{_datadir}/%{vdsm_name}/lsblk.py*
%{_datadir}/%{vdsm_name}/mk_sysprep_floppy
%{_datadir}/%{vdsm_name}/mkimage.py*
%{_datadir}/%{vdsm_name}/prepare-vmchannel
%{_datadir}/%{vdsm_name}/supervdsm.py*
%{_datadir}/%{vdsm_name}/supervdsmServer.py*
%{_datadir}/%{vdsm_name}/vmChannels.py*
%{_datadir}/%{vdsm_name}/tc.py*
%{_datadir}/%{vdsm_name}/vdsm
%{_datadir}/%{vdsm_name}/vdsm-restore-net-config
%{_datadir}/%{vdsm_name}/vdsm-store-net-config
%{_datadir}/%{vdsm_name}/vm.py*
%{_datadir}/%{vdsm_name}/write-net-config
%attr (755,vdsm,kvm) %{_datadir}/%{vdsm_name}/nwfilter.py*
%config(noreplace) %{_sysconfdir}/%{vdsm_name}/logger.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/vdsm
%config(noreplace) %{_sysconfdir}/modprobe.d/vdsm.conf
%config(noreplace) %{_sysconfdir}/rwtab.d/vdsm
%{_sysconfdir}/sudoers.d/50_vdsm
%{_sysconfdir}/cron.hourly/vdsm-logrotate
%{_sysconfdir}/cron.d/vdsm-libvirt-logrotate
%{_datadir}/%{vdsm_name}/guestIF.py*
%{_datadir}/%{vdsm_name}/logUtils.py*
%{_datadir}/%{vdsm_name}/dsaversion.py*
%{_datadir}/%{vdsm_name}/pthread.py*
%{_datadir}/%{vdsm_name}/betterThreading.py*
%{_libexecdir}/%{vdsm_name}/persist-vdsm-hooks
%{_libexecdir}/%{vdsm_name}/unpersist-vdsm-hook
%{_libexecdir}/%{vdsm_name}/ovirt_functions.sh
%{_libexecdir}/%{vdsm_name}/vdsm-gencerts.sh
%{_datadir}/%{vdsm_name}/storage/__init__.py*
%{_datadir}/%{vdsm_name}/storage/blockSD.py*
%{_datadir}/%{vdsm_name}/storage/blockVolume.py*
%{_datadir}/%{vdsm_name}/storage/devicemapper.py*
%{_datadir}/%{vdsm_name}/storage/dispatcher.py*
%{_datadir}/%{vdsm_name}/storage/domainMonitor.py*
%{_datadir}/%{vdsm_name}/storage/fileSD.py*
%{_datadir}/%{vdsm_name}/storage/fileUtils.py*
%{_datadir}/%{vdsm_name}/storage/fileVolume.py*
%{_datadir}/%{vdsm_name}/storage/fuser.py*
%{_datadir}/%{vdsm_name}/storage/hba.py*
%{_datadir}/%{vdsm_name}/storage/hsm.py*
%{_datadir}/%{vdsm_name}/storage/image.py*
%{_datadir}/%{vdsm_name}/storage/iscsiadm.py*
%{_datadir}/%{vdsm_name}/storage/iscsi.py*
%{_datadir}/%{vdsm_name}/storage/localFsSD.py*
%{_datadir}/%{vdsm_name}/storage/lvm.py*
%{_datadir}/%{vdsm_name}/storage/misc.py*
%{_datadir}/%{vdsm_name}/storage/mount.py*
%{_datadir}/%{vdsm_name}/storage/multipath.py*
%{_datadir}/%{vdsm_name}/storage/nfsSD.py*
%{_datadir}/%{vdsm_name}/storage/outOfProcess.py*
%{_datadir}/%{vdsm_name}/storage/persistentDict.py*
%{_datadir}/%{vdsm_name}/storage/resourceFactories.py*
%{_datadir}/%{vdsm_name}/storage/remoteFileHandler.py*
%{_datadir}/%{vdsm_name}/storage/resourceManager.py*
%{_datadir}/%{vdsm_name}/storage/safelease.py*
%{_datadir}/%{vdsm_name}/storage/sdc.py*
%{_datadir}/%{vdsm_name}/storage/sd.py*
%{_datadir}/%{vdsm_name}/storage/securable.py*
%{_datadir}/%{vdsm_name}/storage/sp.py*
%{_datadir}/%{vdsm_name}/storage/storageConstants.py*
%{_datadir}/%{vdsm_name}/storage/storage_exception.py*
%{_datadir}/%{vdsm_name}/storage/storage_mailbox.py*
%{_datadir}/%{vdsm_name}/storage/storageServer.py*
%{_datadir}/%{vdsm_name}/storage/sync.py*
%{_datadir}/%{vdsm_name}/storage/taskManager.py*
%{_datadir}/%{vdsm_name}/storage/task.py*
%{_datadir}/%{vdsm_name}/storage/threadLocal.py*
%{_datadir}/%{vdsm_name}/storage/threadPool.py*
%{_datadir}/%{vdsm_name}/storage/volume.py*
%{_datadir}/%{vdsm_name}/storage/imageRepository/__init__.py*
%{_datadir}/%{vdsm_name}/storage/imageRepository/formatConverter.py*
%{_libexecdir}/%{vdsm_name}/safelease
%{_libexecdir}/%{vdsm_name}/spmprotect.sh
%{_libexecdir}/%{vdsm_name}/spmstop.sh
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_start
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_cont
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_cont
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_pause
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_pause
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_hibernate
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_hibernate
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_dehibernate
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_dehibernate
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_source
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_migrate_source
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_destination
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_migrate_destination
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_destroy
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vm_set_ticket
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vm_set_ticket
%dir %{_libexecdir}/%{vdsm_name}/hooks/before_vdsm_start
%dir %{_libexecdir}/%{vdsm_name}/hooks/after_vdsm_stop
%{_datadir}/%{vdsm_name}/configNetwork.py*
%{_datadir}/%{vdsm_name}/addNetwork
%{_datadir}/%{vdsm_name}/delNetwork
%{_datadir}/%{vdsm_name}/respawn
%{_datadir}/%{vdsm_name}/get-conf-item
%{_datadir}/%{vdsm_name}/set-conf-item
%{_datadir}/%{vdsm_name}/kaxmlrpclib.py*
%{_datadir}/%{vdsm_name}/dumpStorageTable.py*
%{_datadir}/%{vdsm_name}/ksm.py*
%{_datadir}/%{vdsm_name}/neterrors.py*
%{python_sitelib}/sos/plugins/vdsm.py*
/lib/udev/rules.d/12-vdsm-lvm.rules
/etc/security/limits.d/99-vdsm.conf
%{_mandir}/man8/vdsmd.8*
%if 0%{?rhel}
%dir %{_localstatedir}/log/core
%else
%{_polkitdir}/10-vdsm-libvirt-access.pkla
%endif

%defattr(-, %{vdsm_user}, %{qemu_group}, -)
%dir %{_localstatedir}/lib/libvirt/qemu/channels

%defattr(-, %{vdsm_user}, %{vdsm_group}, -)
%dir %{_sysconfdir}/pki/%{vdsm_name}
%dir %{_sysconfdir}/pki/%{vdsm_name}/keys
%dir %{_sysconfdir}/pki/%{vdsm_name}/certs
%config(noreplace) %{_sysconfdir}/pki/%{vdsm_name}/keys/libvirt_password
%dir %{_localstatedir}/lib/%{vdsm_name}
%dir %{_localstatedir}/lib/%{vdsm_name}/netconfback
%ghost %dir %{_localstatedir}/run/%{vdsm_name}
%ghost %dir %{_localstatedir}/run/%{vdsm_name}/pools
%ghost %dir %{_localstatedir}/run/%{vdsm_name}/payload
%dir %{_localstatedir}/log/%{vdsm_name}
%dir %{_localstatedir}/log/%{vdsm_name}/backup

%files python
%defattr(-, root, root, -)
%if !0%{?rhel}
%config(noreplace) %{_sysconfdir}/%{vdsm_name}/vdsm.conf
%endif
%{python_sitearch}/%{vdsm_name}/__init__.py*
%{python_sitearch}/%{vdsm_name}/config.py*
%{python_sitearch}/%{vdsm_name}/constants.py*
%{python_sitearch}/%{vdsm_name}/define.py*
%{python_sitearch}/%{vdsm_name}/exception.py*
%{python_sitearch}/%{vdsm_name}/libvirtconnection.py*
%{python_sitearch}/%{vdsm_name}/netinfo.py*
%{python_sitearch}/%{vdsm_name}/qemuImg.py*
%{python_sitearch}/%{vdsm_name}/SecureXMLRPCServer.py*
%{python_sitearch}/%{vdsm_name}/utils.py*
%{python_sitearch}/%{vdsm_name}/vdscli.py*
%{python_sitearch}/%{vdsm_name}/betterPopen/__init__.py*
%{python_sitearch}/%{vdsm_name}/betterPopen/createprocess.so
#compat
%{_datadir}/%{vdsm_name}/config.py*
%{_datadir}/%{vdsm_name}/netinfo.py*

%files hook-vhostmd
%defattr(-, root, root, -)
%doc COPYING
%{_sysconfdir}/sudoers.d/50_vdsm_hook_vhostmd
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_vhostmd
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_destination/50_vhostmd
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_dehibernate/50_vhostmd
%{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy/50_vhostmd

%if 0%{?with_hooks}
%files hook-directlun
%defattr(-, vdsm, kvm, -)
%attr (440,root,root) %{_sysconfdir}/sudoers.d/50_vdsm_hook_directlun
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_directlun
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy/50_directlun
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_destination/50_directlun

%files hook-fileinject
%defattr(-, vdsm, kvm, -)
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_fileinject

%files hook-floppy
%defattr(-, vdsm, kvm, -)
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_floppy
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_source/50_floppy

%files hook-hostusb
%defattr(-, vdsm, kvm, -)
%attr (440,root,root) %{_sysconfdir}/sudoers.d/50_vdsm_hook_hostusb
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_hostusb
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_source/50_hostusb
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy/50_hostusb

%files hook-hugepages
%defattr(-, vdsm, kvm, -)
%attr (440,root,root) %{_sysconfdir}/sudoers.d/50_vdsm_hook_hugepages
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_hugepages
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_destination/50_hugepages
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy/50_hugepages

%files hook-isolatedprivatevlan
%defattr(-, vdsm, kvm, -)
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_isolatedprivatevlan
%config(noreplace) %{_sysconfdir}/libvirt/nwfilter/isolatedprivatevlan-vdsm.xml

%files hook-numa
%defattr(-, vdsm, kvm, -)
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_numa

%files hook-pincpu
%defattr(-, vdsm, kvm, -)
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_pincpu

%files hook-promisc
%defattr(-, vdsm, kvm, -)
%attr (440,root,root) %{_sysconfdir}/sudoers.d/50_vdsm_hook_promisc
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/after_vm_start/50_promisc
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_destroy/50_promisc

%files hook-qos
%defattr(-, vdsm, kvm, -)
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_qos

%files hook-scratchpad
%defattr(-, vdsm, kvm, -)
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_scratchpad
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_source/50_scratchpad
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy/50_scratchpad

%files hook-smartcard
%defattr(-, vdsm, kvm, -)
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_smartcard

%files hook-smbios
%defattr(-, vdsm, kvm, -)
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_smbios

%files hook-sriov
%defattr(-, vdsm, kvm, -)
%attr (440,root,root) %{_sysconfdir}/sudoers.d/50_vdsm_hook_sriov
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_sriov
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/after_vm_destroy/50_sriov
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_migrate_source/50_sriov

%files hook-vmdisk
%defattr(-, vdsm, kvm, -)
%attr (755,vdsm,kvm) %{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/50_vmdisk
%endif

%files debug-plugin
%defattr(-, root, root, -)
%{_datadir}/%{vdsm_name}/vdsmDebugPlugin.py*

%files cli
%defattr(-, root, root, -)
%doc COPYING
%{_bindir}/vdsClient
%{_datadir}/%{vdsm_name}/vdsClient.py*
#%{_datadir}/%{vdsm_name}/vdsClientGluster.py*
%{_sysconfdir}/bash_completion.d/vdsClient
%{_mandir}/man1/vdsClient.1*

%files bootstrap
%defattr(-, root, root, -)
%doc COPYING
%{_datadir}/%{vdsm_bootstrap}

%files reg
%defattr(-, root, root, -)
%doc COPYING
%dir %{_sysconfdir}/%{vdsm_reg}
%dir %{_datadir}/%{vdsm_reg}
%config(noreplace) %{_sysconfdir}/logrotate.d/vdsm-reg
%config(noreplace) %{_sysconfdir}/%{vdsm_reg}/vdsm-reg.conf
%config(noreplace) %{_sysconfdir}/%{vdsm_reg}/logger.conf
%ghost %dir /data
%ghost %dir %attr(0775, root, root) /data/updates
%if 0%{?rhel}
%{_initrddir}/vdsm-reg
%else
/lib/systemd/systemd-vdsm-reg
%{_unitdir}/vdsm-reg.service
%endif
%{_datadir}/%{vdsm_reg}/vdsm-reg-setup
%{_datadir}/%{vdsm_reg}/define.py*
%{_datadir}/%{vdsm_reg}/vdsm-complete
%{_datadir}/%{vdsm_reg}/vdsm-gen-cert
%{_datadir}/%{vdsm_reg}/vdsm-upgrade
%{_datadir}/%{vdsm_reg}/config.py*
%{_datadir}/%{vdsm_reg}/deployUtil.py*
%attr(0755, -, -) %{_datadir}/%{vdsm_reg}/register-to-engine.py*
%{_datadir}/%{vdsm_reg}/createDaemon.py*
%{python_sitelib}/ovirt_config_setup/engine.py*
%{_datadir}/%{vdsm_reg}/save-config
%{_sysconfdir}/ovirt-config-boot.d/vdsm-config
%{_sysconfdir}/ovirt-commandline.d/vdsm-reg
%{_sysconfdir}/cron.hourly/vdsm-reg-logrotate
%{_mandir}/man8/vdsm-reg.8*

%defattr(-, %{vdsm_user}, %{vdsm_group},-)
%dir %{_var}/log/%{vdsm_reg}

%files hook-faqemu
%defattr(-, root, root, -)
%doc COPYING
%{_libexecdir}/%{vdsm_name}/vdsm-faqemu
%{_libexecdir}/%{vdsm_name}/hooks/before_vm_start/10_faqemu

#%files gluster
#%defattr(-, root, root, -)
#%dir %{_datadir}/%{vdsm_name}/gluster
#%doc COPYING
#%{_datadir}/%{vdsm_name}/gluster/__init__.py*
#%{_datadir}/%{vdsm_name}/gluster/api.py*
#%{_datadir}/%{vdsm_name}/gluster/cli.py*
#%{_datadir}/%{vdsm_name}/gluster/exception.py*
#%{_datadir}/%{vdsm_name}/gluster/hostname.py*

%changelog
* Mon Nov 19 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-44.0
- Fix block volume atomicity creation issue.
- vdsm: Disable virtio-console
- pool: refresh multipath on connectStoragePool
Resolves: BZ#876558 BZ#878007 BZ#870768

* Wed Nov 14 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-43.0
- Not remove volumeless or inexistent images.
Resolves: BZ#876115

* Thu Nov 08 2012 Allon Mureinik <amureini@redhat.com> - 4.9.6-42.0
- libvirtvm: set volume the format in live snapshots
- BZ#836161 - Changed code obsoleted by deleteImage() rewrite.
- BZ#836161 - Rewrite of deleteImage().
- BZ#836161 - Pluralize lvm.changelv().
- Related to BZ#836161 - Add image to task name to improve log.
- Don't forget to close thread pool when stopping the SPM mailer
- Cleanup unlinked mounts should be sync to hsm initialization
- BZ#855924 -- fix 3.1 -> 3.0 migration again
Resolves: BZ#836161 BZ#855924 BZ#872270 BZ#872935 BZ#874481

* Sun Nov 04 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-41.0
- fileVolume: make getVSize a real classmethod
- Make sure during upgrade that lease files have correct permission
- storage: Don't ignore nfs_mount_options in vdsm.conf
- Fix problem where a 0 error code will cause remoteFileHandler to become a zombie
- Catch exception thrown by forceIScsiScan causing disconnect to fail
- Add rescan to formatStorageDomain to solve multipath race
- Make sure teardown() is called in case of errors
- Fix version handling for NFS
- BZ#867439 VM unexpectedly was shutdown after migration.
- Require lvm with  ignored_mdas fix
- Fix exception string in lvm.changeVGTags().
- Fix race in fileUtils.createdir().
- Do not ship vdsm-gluster in rhev
- Replace 'ovirt Engine' string with @ENGINENAME@
- volume: save the correct size during creation
Resolves: BZ#798635 BZ#815359 BZ#826921 BZ#838547 BZ#844180 BZ#855729 BZ#867439 BZ#868272 BZ#868681 BZ#870024 BZ#870509 BZ#871811

* Sun Oct 28 2012 Allon Mureinik <amureini@redhat.com> - 4.9.6-40.0
- api: start libvirtd when netinfo module is loaded
- api: fix api breakage of 'config' and 'netinfo' used by bootstrap
- packaging: add vdsm-cli dependency to vdsm
- pool: live storage migration implementation
- Revert "Initial live block migration API"
- image: avoid prezeroing optimization in some cases
- vm: remove unused reqsize and needExtend
- libvirt_password: remove new line char
- itmap starts threads for each argument causes too many oop operations
- Don't require fingerprint
- sos/vdsm.py: Add vdsm-reg dir
- dumpStorageTable: fix path to ovf files
- upgrade: handle the templates lease files
- NIC hotplug should fail if setPortMirroring failed
- BZ#855924 fix VM config dictionary
- stats: move the lastCheck computation to getRepoStats
Resolves: BZ#798463 BZ#855425 BZ#855924 BZ#856167 BZ#863863 BZ#865384 BZ#865384 BZ#865384 BZ#865384 BZ#866533 BZ#867806 BZ#867922 BZ#868721 BZ#870079 BZ#870734

* Mon Oct 22 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-39.0
- Update scsi_id options format and add devices to multipath.conf
- Clean /rhev/data-center/mnt/ after failed mount command
- Add 'name' attribute to VM conf during _getUnderlyingNetworkInterfaceInfo.
- SuperVdsm validation of recovery after crash
- start ksm and ksmtuned when vdsm starts
- Change source of CPU sockets/cores to libvirt capabilities
- storage: can't create gpfs domain
- storage: Change low-priority tasks to idle priority
- domain: fix onDomainConnectivityStateChange attribute
- report cpuUser and cpuSys separately (#800367)
- volume: remove domain shared lock from getVolumeSize
- Make nics, vlan and bonding dhcp ifup to be asynchronous.
- Generalize asynchronous ifupping of network interfaces.
- setup: configure selinux for sanlock on nfs
- vdsm.spec.in: use locale LC_ALL=C
- setup: move selinux from init to spec
- setup: move the certificate generation
- port mirroring requires a newer kernel
- storage: failure to reconnect to authenticated iSCSI LUNs
- sdcache: remove the domain weakref cache
Resolves: BZ#800367 BZ#819745 BZ#833425 BZ#846307 BZ#851146 BZ#852753 BZ#853040 BZ#853703 BZ#853710 BZ#854027 BZ#854242 BZ#854306 BZ#860067 BZ#865386 BZ#867354 BZ#867813

* Mon Oct 15 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-38.0
- with exceptions some variables could be uninitialised - now initialised to None
- Add genisoimage to rpm dependencies
- Bump libvirt version to libvirt-0.9.10-21.el6_3.5
- libvirtconnection: retry opening a libvirt connection
- bootstrap: allow customize bridge name for standard sequence
- move storage.misc.retry to vdsm.utils
- BZ#855918 Do not append comments to config values
- BZ#855918 Configure libvirt to use sanlock
- setNetworking(): set bridge status
- Fix disconnect iscsi connections.
- Store engine web CA cert in engine_web_ca.pem
- vdsm: Use virsh to check if libvirt is up
Resolves: BZ#840300 BZ#854151 BZ#855918 BZ#856167 BZ#862002 BZ#863265 BZ#863717 BZ#866163

* Tue Oct 02 2012 Allon Mureinik <amureini@redhat.com> - 4.9.6-37.0
- Refresh storage in getDevicesVisibility using forceIScsiRescan
- bootstrap: remove MAC address from vds unique id
- Remove unneeded import caps
- Read 'source'/'bridge' of NIC interface only if exists
- glusterHostsList verb returns local hostname as IP address or FQDN
- glusterHostsList verb uses gluster cli xml output.
- Added _execGlusterXml()
- glusterHostsList returns host info as list of dictionaries
- glusterVolumesList list all volumes or specified volume.
- Added Gluster file system management support.
- gluster.cli: report failures as error dict to Engine
- Added gluster cli support in supervdsm.
- vdsm-upgrade: stop vdsm when complete upgrade
- Move the creation of /data/updates out of init script
- BZ#781975 VM creation concurrency limit
- BZ#855922, fix attribute error during migration
- Validate downloaded SSH public key
- Validate downloaded CA certificate
- Add input parameter to _logExec
- Parse correctly the management_server parameter
- domain: releaseHostId only when the domain is present
- Added gluster support into vds bootstrap.
- vdsm: Unifying engine and vdsm commit templates
Resolves: BZ#766281 BZ#781975 BZ#822953 BZ#854763 BZ#854766 BZ#854953 BZ#855922 BZ#856167 BZ#857075

* Mon Sep 24 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-36.0
- Fix BZ#846323 fix.
- Remove unused glob import.
- BZ829710 Get VMList with oop if necessary
- engine.py: fail if Password doesn't match
Resolves: BZ#829710 BZ#846323 BZ#854457

* Sun Sep 23 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-35.0
- bootstrap: install vdsm, vdsm-cli at single transaction
- BZ#844180: Change scsi scan to asynchronous
- Require a new initscripts-9.03.31-2.el6_3.1
- Do not propagate top layer interfaces bootproto to the underlying devices.
- Fix crash when libvirt refers to non-existing non-bridged interfaces.
- setNetworking(): return bridge status
- Fix the check to convert block domains V0 to tag metadata
- Bump sanlock required version for EL6
- Related to BZ#846323 - Adding deprecated to removeVG().
- BZ#846323 - Search PV's belonging to the VG in removeVG.
- vdsm-reg-setup: get hostname with gethostname()
Resolves: BZ#840300 BZ#844180 BZ#846323 BZ#853910 BZ#854204 BZ#854748 BZ#855887 BZ#856163 BZ#857112 BZ#859109

* Mon Sep 10 2012 Allon Mureinik <amureini@redhat.com> - 4.9.6-34.0
- Add network logs for VDSM network commands and file operations.
- removing vdsm-tool (#854212)
- Make vdsm/configNetwork.py PEP8 clean
- Continue support nicless bridge.
- Set right MTU when removing bridgeless networks
- Change getVlansForNic to more general getVlansForIface
- Update MTU when removing one of networks with custom MTU from NIC/bond.
- Trigger reboot automatically after upgrade
- vdsmd: set nwfilter on ovirt-node
Resolves: BZ#855049 BZ#851839 BZ#853968 BZ#854212 BZ#854765 BZ#854919

* Thu Sep 06 2012 Allon Mureinik <amureini@redhat.com> - 4.9.6-33.0
- fileSD.getDomUuidFromMetafilePath: return correct sdUUID
Resolves: BZ#829710

* Mon Sep 03 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-32.0
- Define network filter on libvirt
- BZ#846376 Produce the domain in the domain monitor thread
- BZ#752470 Asynchronous LVM bootstrap on vdsm start
- Enable network filtering
- Libvirt service engagement workaround
- vdsmd always restarts libvirtd upon start-up
- BZ#851518 Upgrade a data domain on attachSD when required
- BZ#852989 Bump libvirt required version for EL6
- libvirtvm: (un)setPortMirroring when hot(un)plugging
- Remove BRIDGE line from nic/bond cofig file when removing bridge
- tc: _delTarget: fix an evil type error
- tc: avoid adding non-existing devices to filter
- tc: unsetPortMirroring: deleting a target twice is fine
- tc: Give a clearer name to qdisc_get_devid
- tc: add to PEP8_WHITELIST
- tc: refine unsetPortMirroring
- tc: rename qdisc_replace_prio()
- tc: silently ignore ingress qdisc re-creation
- tc: make TCException more accessible programmatically
- tc: list some information about filters
- BZ#843076 vdsm-upgrade: use scripts from ovirtnode
- configNet: grant proper selinux context to ifcfg-*
- BZ#827486 Change waitForMigrationDestinationPrepare function waiting.
- BZ#833084 Set StoragePool.id to SPM_ID_FREE by default
- improve message when trying to attach import domain with wrong permissions
Resolves: BZ#752470 BZ#827486 BZ#843076 BZ#846376 BZ#852989 BZ#811807 BZ#845193 BZ#847518 BZ#838347 BZ#848101 BZ#734847 BZ#842146

* Mon Aug 27 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-31.0
- BZ#846312 - Keep max MTU when adding non-VLANed bridgeless network
- BZ#846312 - Keep MTU on ehtX after bond editing, when ethX part of this bond
- BZ#840294: Add sanlock packages to REQ_PACK list
- BZ#842115 - Generating uuid for libvirt configuration
- BZ#848616: vdsm-reg.conf: change vdc_host_port
- Related to BZ#848616: engine.py: Rename vars
- Related to BZ#848616: engine.py: rename callbacks
- Related to BZ#848616: rename write_vdsm_config
- Related to BZ#848616: rename get_rhevm_config()
- configNetwork: use MTU as int in setNewMtu
- Restore previous MTU on bond when VLAN with bigger MTU removed
- BZ#846004 - IP on nic/bond should be preserved when VLAN added
- BZ#849934 Use quiesce only if qgaEnable is enabled
- BZ#849934 Support the quiesce flag during a live snapshot
- configNet: introduce ConfigWriter.restorePersistentBackup()
- BZ#844656 Respawn the domain monitor when needed
- BZ#849542 bootstrap: set system time as soon as possible
- vdsm-reg: return proper exit code from upgrade script
- bootstrap: return proper exit code from bootstrap scripts
- bootstrap: send complete bootstrap from engine
- bootstrap: remove temporary files even if some missing
- bootstrap: introduce bootstrap interface version
- bootstrap: always use /tmp for output files
- bootstrap: cleanup file cleanup function
- bootstrap: sync logging between two phases
- bootstrap: search own ssh key without base64 suffix
- legal: bootstrap: update copyright years
Resolves: BZ#840294 BZ#842115 BZ#844656 BZ#846004 BZ#846312 BZ#848616 BZ#849542 BZ#849934 BZ#850699 BZ#850708

* Wed Aug 22 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-30.0
- netConfig: translate to "new" option names from cmdline, too
Resolves: BZ#847733

* Mon Aug 20 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-29.0
- BZ#848299 - Fix delete VLANed network with custom MTU
- BZ#848728 Report host hyperthreads as real cores
- BZ#840594 Fix netinfo when libvirt bridge does not exist.
- BZ#832765 - Rewrite vdsm-restore-net-config as python module
- BZ#838924 require libvirt w/o keepalive regression
- BZ#845830 confNet: Remove most of_validateNetworkSetup
- confNet: no need to validate deleted network name
- configNetwork: Ignore libvirt exception for network removing
- Restart network service during restore backups
- clientIF:  avoid network backups during _syncLibvirtNetworks
- configNet: updateConfigValue: record to backup, do not restore
- Add restoreBackups and clearBackups
- BZ#832765 - Load backups from backup files to memory
- BZ#832765 - configNetwork: add restoreAtomicNetworkBackup
- configNetwork: Don't swallow exception during removeLibvirtNetwork
- Add atomic/persist backup capabilities for logical networks
- Move createLibvirtNetwork and removeLibvirtNetwork to the ConfigWriter
- cleanup: do not use external program ipcalc for ip validation
- BZ#847328 Check the metadata on domain validation
- BZ#846599 Add missing log object to CrabRPCServer
- BZ#846599 fix logging
- BZ#848041 Backport remoteFileHandler revisions
- BZ#843387 - prepareVolumePath() should set volPath or raise on any input.
- BZ#845346: deployUtil - safely remove bridge
- bz#847744 - fix broken fenceNode verb
- BZ#846014 - Fix virtio hotplug disk fail to a VM with IDE disks.
- BZ#837836 Change tpgt variable to identically None
- Add a channel in vdsm for introducing qemu-ga
- BZ#784931 - Fixing race condition in deactivateSD().
- BZ#784931 - Restore SD.validate() semantics.
- Related to BZ#784931 - Removing the unused useCache parameter.
Resolves: BZ#784931 BZ#832765 BZ#837836 BZ#838924 BZ#840594 BZ#843387 BZ#845346 BZ#845830 BZ#846014 BZ#846599 BZ#847328 BZ#847744 BZ#848041 BZ#848299 BZ#848728

* Mon Aug 13 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-28.0
- BZ#846609 use a shorter dhparams
- BZ#842771 Fix for exception "TypeError: cannot marshal None"
Resolves: BZ#842771 BZ#846609

* Mon Aug 06 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-27.0
- BZ#845525 report bond's cfg, not nic's.
- BZ#841863 Change exception thrown by the fileUtils module
- BZ#835920 send POSIXFS instead of SHAREDFS
- BZ#840407 - Create a fake template when moving to backup SD.
- BZ#840386: vms with shared disk will pause...
Resolves: BZ#835920 BZ#840386 BZ#840407 BZ#841863

* Wed Aug 01 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-26.0
- BZ#844347 - Prepare conf files for all interfaces before ifup
- Don't set BRIDGE in nic's conf files if it part of the bond
- Related to BZ#844347 - Keep bond mode after change network on top of it
- Fix build-aux version scripts so that internal tags don't confuse them
- BZ#833099 - Induce MSD reconstruct when getSpmStatus fail.
- BZ#844294 Add requiresMailbox to StorageDomain
- report network's underlying device as "iface"
Resolves: BZ#833099 BZ#844294 BZ#844347

* Mon Jul 30 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-25.0
- BZ#834205 - Add BOOTPROTO/IPADDR/NETMASK options for bridgeless interface
- BZ#843498 getCaps: differentiate between bridges and nets
- BZ#834205-related: report ipaddr of bridgeless networks
- Rename getNetworksForNic as getNetworksForIface
- configNetwork: handle VLAN before bond and nic in addNetwork
- Refactored configWriter add methods for code reuse.
- configNetwork: _addNetworkValidation: validate bridgeless net existence.
- BZ#831528, BZ#834008, BZ#829037 - Fix validation for inter-networks compatibility
- Split getNetworksAndVlansForBonding to handle bridge and bridgeless networks
- Refactoring and optimization of _addNetworkValidation
Resolves: BZ#829037 BZ#834205 BZ#843498 BZ#831528 BZ#834008

* Wed Jul 25 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-24.0
- BZ#842631 Use domain proxies instead of actual domain references
- Add the hostId parameter to reconstructMaster
- BZ#839330 Add missing import config in domainMonitor
- BZ#838802 Config option to enable/disable volume leases
- BZ#839330 Add the formatConverter for Storage Domain V3
- BZ#839330 Orthogonal storage repository conversion
- BZ#839330 Unify the volume creation code in volume.create
- BZ#839330 Uniform the block and file volume methods
- BZ#839330 pep8 fixes for storage/blockVolume.py
- BZ#839330 Remove the unused nocache option
- BZ#839330 Separate the Volume.share implementation
- BZ#839330 Make volume.py for PEP8 clean
- BZ#839330 make storage/fileVolume.py PEP8 clean
- BZ#839330 make vdsm/storage/fileUtils.py PEP8 clean
- BZ#839330 Bump sanlock required version
- BZ#842338 configNetwork: fix bonding mode issue
Resolves: BZ#839330 BZ#842338

* Thu Jul 19 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-23.0
- Fix detachStorageDomain for the ISO domains
Resolves: BZ#839330

* Mon Jul 16 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-22.0
- BZ#839330 Monitor the host id in domainMonitor
- BZ#839330 Make domainMonitor compliant to PEP8
- BZ#839330 Add the async kwarg to acquireHostId
- BZ#839330 Do not acquire leases on shared volumes
- BZ#839330 Fix attachSD and masterMigrate for domain version 3
- BZ#839330 Add the hasHostId method to the cluster locks
- BZ#839330 Move the SANLock SDM lease to a different offset
- remove bridge before add VDSM bridge
- removeVlan() drop/remove interface
- configNetwork: fix NetInfo call
- replace the netinfo import
- removeBridge() drop/remove interface
- Change oop to be a new process instead of a fork
Resolves: BZ#839330

* Tue Jul 10 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-21.0
- Change default encryption key size to 2048 bits
- BZ#832798 - Fix typo in exception message
- BZ#837054 - Do not detach network from the bond during bond resize
- Split getNetworksForNic to  getBridgedNetworksForNic and getBridgelessNetworksForNic
- Related to BZ#836954 - Allow to detach interface from the bond and create a new network on it in single action.
- configNet: atomicBackup: remove new files upon restore
- configNet: clear up atomicBackup arg
- BZ#836954 - Allow to break bond and create a new network on its interface in single action.
- Remove redundant 'explicitBonding' parameter from setupNetworks
- BZ#836562 - Fix template image parameter.
Resolves: BZ#832798 BZ#836562 BZ#836954 BZ#837054

* Tue Jul 03 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-20.0
- BZ#833119 _addNetworkValidation: do not explode if STP option passed
- BZ#836562 - Don't waste SD produces in validateSdUUID.
Resolves: BZ#833119 BZ#836562

* Mon Jul 02 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-19.0
- BZ#829645 - Internal volumes must be RW in domain version 3
- BZ#814435 - Adding the status field to getDeviceList info.
Resolves: BZ#814435 BZ#829645

* Mon Jul 02 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-18.0
- BZ#836562 - Remove subChainSizeCalc() and getSubChain(). Remove getAllChildrenList().
- BZ#836562 - Template relink refactored.
- BZ#836562 - Check move image conditions from SD data.
- BZ#836562 - Refactor Pool.deleteImage()
- BZ#836562 - Add [block|file]SD.getAllVolumes
- BZ#806555 having /etc/ovirt-node-* means it is a node
- BZ#802759 - Implement Popen without forking back to python
- BZ#835478 hooking.py: expose execCmd
- Handle bond properly if connectivity check fail.
- BZ#833803 - Avoid bond breaking after network detach
- BZ#833119 - Allow to create VLANed network on top of existing bond
- BZ#835784 - Allow to create a network on top of existing bond in additional to create a new bond and network
- vdsm: require updated libvirt for USB support
- Related to BZ#834298 fix typo in keyword argument exc_info
Resolves: BZ#802759 BZ#833119 BZ#833803 BZ#835478 BZ#835784 BZ#836562

* Tue Jun 19 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-17.0
- Related to BZ#826873 - Allow to create bond without network
- Get network address for showNetwork
- BZ#826467 - Allow to remove bond and attach network to NIC
- BZ#830486 - Allow to change network according the diffs from previous state
- BZ#826873 - Allow to change bond without network attached to it
- remove flag skipLibvirt
- BZ#830485 - Add netConfigDirty bit to getVdsCaps report
- Add bridge on top of VLAN if exists
- Use proper MTU on bonding when add network
- Use already known iface in addNetwork
- Minor optimization for addNetwork
- Don't ignore bridgeless networks in ifaceUsers
- Minor optimization for delNetwork
- 'options' translation in setupNetworks is not relevant
- Iterates over delete candidates networks only once
- BZ#808874 Skip master validation on repoStat
- Changing origin of memShared stats to /sys/kernel/mm/ksm/pages_sharing
- BZ#798188 Disallow cross-vendor virtualization.
- BZ#822782 - use mkstemp() on older systems
- BZ#829084: Do not use static home for root user
- BZ#783383: engine.py - space cleaned up
Resolves: BZ#783383 BZ#798188 BZ#808874 BZ#822782 BZ#826467 BZ#826873 BZ#829084 BZ#830485 BZ#830486

* Thu Jun 07 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-16.0
- Change storageServer to handle numeric connection values
- promisc: bug fixes, change name to port-mirroring
Resolves: BZ#814438

* Wed Jun 06 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-15.0
- Fix "unknown device" issue for balloon device
- CpuPinning for vdsClient
- CpuPinning
- caps.py: _getKeyPackages() change KEY_PACKAGES
- BZ#822158: fail to join host to cluster
- configuNetworks: no need to create set repeatedly
- configNetworks: reject bridge names starting w/ dash
- Move balloon's 'model' parameter to specParams for BC case
- vdsm: set ballooon device model properly
Resolves: BZ#814438

* Tue May 29 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-14
- configNet: do not call ifup twice for same bridge
- Revert "Report only 3.0 cluster level"
Resolves: BZ#814438

* Thu May 24 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-13
- Temporary workaround untill BZ#822158 will solved
- caps: if cpuCompare failes, return incompat host
Resolves: BZ#814438

* Mon May 21 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-12
- BZ#820525 lvm: ignore future additions to attr bits
- Report that Engine 3.1 is supported by this Vdsm.
- Revert "Make sure that internally we always use pvs from /dev/mapper/"
- dsaversion: renamed to dsaversion.in
- Create payload directory if not exists
- vm payload: add file injection to vm
- .gitignore: dsaversion.py
- Set the correct gid for libvirt-spice
- delNetwork: improve removeLibvirtNetwork call
- vdsm: using model and index for controller address
- netinfo: Don't attempt to read a virtio nic speed
- netinfo: simplify speed() function
- correct usage help string in vdsClient
- Add support for redir devices
- libvirtvm.py: Extend controller support to allow configuring USB controllers
- libvirtvm.py: Refactor device xml generation
- Pass iface without nic interface
- remove stale libvirtNet before creating a new net with same name
- Clean the RHEVM parser help in deployUtil.py.in
- BZ#752470 Related: Out of process getReadDelay
- Clean the RHEVM log message in deployUtil.py.in
- libvirtvm.py: Remove unnecessary constructor overriding
- vm.py: Fix legacy disk support
- vdsClient.py: Allow specifying nested dicts for devices when creating a vm
- Add vdsm_reg/engine.py to gitignore
- Add volumeExists to the StorageDomain class
- Remove (almost all) class Volume virtual (!) methods.
- BZ#797526 Lazy evaluation for Drive.blockDev
- BZ#806625: validate vdsmcert against cacert
- BZ#814438: caps - fix osversion() report
- Fix loop device handling for mount command
Resolves: BZ#797526 BZ#806625 BZ#814438 BZ#820525

* Wed May 09 2012 Dan Kenigsberg <danken@redhat.com> - 4.9.6-11
- Report only 3.0 cluster level
- BZ#809012 - Calculate metadata offset from logical block size.
- BZ#815825: backup certs during registration
- Revert "Avoid to activate parent volume on cloning"
- BZ#807351 Handle "(deleted)" mountpoints
Resolves: BZ#807351 BZ#809012 BZ#815825

* Sun May 06 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-10
- Make ClusterLock stateless
- BZ#812793 - Fix addNetwork to be able attach network to interface
- fix vdsm_reg makefile error
- Added register-to-engine command line tool.
- BZ#812793 - Fix delNetwork to be able delete network interface
- Avoid skipping libvirt when add bridgeless network
- Change mathing to matching (typo)
- mount: use sudo only of not root user
- Revert "Disallow cross-vendor virtualization"
- vdsmd.init: rewritten listen_addr
- Do not return new references to an invalid object.
- Adding log for debugging purposes.
- Use new rpms: qemu-img-rhev, qemu-kvm-rhev
Resolves: BZ#807687 BZ#812793

* Sun Apr 29 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-9
- Use the correct size for createSparseFile in fileVolume
- vdsm/storage/misc.py: ensure uuid input is str or unicode for regex
- Related to BZ#773210 - Avoid infinite loop when delete volume failed during the merge.
- Improve usage for bridgeless network
- Don't use qemu-img to create sparse file volumes
- Clean the RHEVM log message in vdsm-reg-setup-in
- BZ#814413 - switch engine plugin to use system() instead of os.system to prevent screen alterations
- configure.ac: replace ENGINENAME macro
- BZ#813423: Adding ENGINENAME macro
- spec: remove the conflicts of ovirt-engine from vds_bootstrap section
- vds_bootstrap: changing the default to install virt to true
- vds_bootstrap: allowing the options n and u as paratemers
- BZ#772458 installation - use random dir
Resolves: BZ#772458 BZ#813423 BZ#814413

* Thu Apr 19 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-8
- vdsm-reg.conf.in: change the default url for reg
- setVmTicket: add before and after hooks
- Move libvirtconnection to the python sitelib
- Adding the qemuImg command line
- BZ#812149: delNetwork() Add skipLibvirt validation
- BZ#811555 - Add rhevm.ssh.key.txt to ssh keys
- BZ#811555: try to download multiple ssh keys
- Make logskip more pylint friendly
- fix check None sdUUID for getVmsList and getVmsInfo
- engine.py: improve password text
- storageServer: Fix isConnected for LocalDirectoryConnections
- BindingXMLRPC: Check irs init status
- Remove writefileSUDO() no one uses it
- pylint:vdsm/netinfo.py rename local vars to avoid overload with global func.
- fix circular reference of storage pool
- BZ#802759 - Make old FD shutdown a bit more robust
- Fix typo in the IscsiInterface class
- pylint: vdsm/libvirtvm.py
- isBlockDevice should fail for empty cdrom/floppy. Don't need traceback in the log.
- fix broken pyflakes check
- make ovirt-node detection more robust
- Fix inconsistencies with new connection management API
- Make main.py confrom to pep8
- Integrate SANLock with VM's life cycle
- Define some constants in API.py
- BZ#804640 Image.getChain must work with multiple leaves
- BZ#773210 - Avoid infinite loop when delete volume failed during the merge
- nfs-check improvements
- BZ#807642 Add TestSecurable safety test
- BZ#813897: Fix color scheme of ovirt-node over ssh
- BZ#809012 - Remove physical block size limitations
Resolves: BZ#773210 BZ#802759 BZ#804640 BZ#807642 BZ#809012 BZ#811555 BZ#812149 BZ#813897

* Wed Apr 11 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-7
- Compare Drive according to its name during lvextend
Resolves: BZ#782099

* Tue Apr 03 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-6
- BZ#804640 Modify Image.getChain to return a subchain
- vdsm: fix make distcheck
- Fix bad import preventing SuperVdsm to start
- added support for mirror promisc mode
- Added iSER support enabled with a configuration option.
- BZ#807642 Use Securable as base class
- Using supervdsmServer.py when present
- BZ#808116 - Fix post-zeroing process during deletion of preallocated volumes
- Added some documentation to the connection management verbs
- Support unicode in domain and pool description
- dispatcher: drop Unicode-less validation
- BZ#805273 Fix LVM preferred names
- vdsm: error when creating a bond/nic with more than one network attached
- Add partial live merge
- Use the _REUSE_EXT flag in snapshotCreateXML
- Make misc.py conform pep8 and other minor cleanup
- nfs-check: Add except socket.gethostbyname()
- spec: VIR_DOMAIN_DESTROY_GRACEFUL is only in libvirt-0.9.10
- bootstrap: installation now requires libvirt when defining mgmt network
Resolves: BZ#782099

* Wed Mar 28 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-5
- Fix required lvm2 version for LV_ATTR_BITS
- Fix required libvirt version for new VIR_DOMAIN_DESTROY_GRACEFUL support
- Assign proper PCI address to each video/sound device
- Use certtool to generate the certificates
- Added getMountFromDevice function.
- Make sure that internally we always use pvs from /dev/mapper/
- BZ#806757 - Update video and sound devices of running VM with full info from libvirt
- No tearDownVolumePath function exists, changed to teardownVolumePath
- Fix old 'klass' joke in setMaxOutgoingMigrations definition.
- Try to destroy VM gracefully
- Have sdc.py pass pep8
- Create mount base path on hsm initialization
- BZ#805444 - Do not link unrelated domains under pool
- cman is no longer conflicting with Vdsm
Resolves: BZ#782099

* Sun Mar 18 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-4
- fix LV_ATTR_BITS for use with lvm 2.02.95(2)-RHEL6
- Remove unneeded 'getIpAddresses' import
- BZ#803754 - Fix file mangling for localfs connections
- fix forgotten properties in NfsConnection
- pass missing arg to devicemapper.getSlaves
- Remove unused methods from hsm
- BZ#787709 - Do not validate IP existence during setup network
- BZ#787728 configNet: restore backup on connectivity failure
- Cut the line in a different place so pylint doesn't complain
- Removed unused method
- do not croak on mountpoint with space and digit
- Backing VG's should be named as SD name. Renaming VG's is not supported.
- Added lsblk tool support in supervdsm.
- Removed unused imports from clientif
- Added blkid tool support to get device for uuid.
- dumpStorageTable: search deeper for vms list
Resolves: BZ#782099

* Thu Mar 15 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-3
- Restore direct lun functionality.
- Fix TypeError when using se.iSCSIDiscoveryError without any params
- BZ#800915 - no need to support list in removeVM command
- BZ#802229 - Fix missing tpgt argument handling
- BZ#802347 try and not access iscsid concurrently
- Add the device type in the snapshot dictionary
- VDSM-Reg should not import vdsm.config
- read iscsi session info properly
- Updated threading.Lock acquire to a more Python-like mean.
Resolves: BZ#782099

* Thu Mar 08 2012 Dan Kenigsberg <danken@redhat.com> - 4.9.6-2
- Fix minor issues in the iscsi module
Resolves: BZ#782099

* Tue Mar 06 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.6-1
- vdsm-4.9.6
Resolves: BZ#782099

* Sun Mar 04 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.4-5.git90795d
- VDSM 4.9.4-5.git90795d
Resolves: BZ#782099

* Sun Feb 22 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.4-4.gitda5380
- VDSM 4.9.4-4.gitda5380
Resolves: BZ#782099

* Sun Feb 20 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.4-3.git8c7f97
- VDSM 4.9.4-3.git8c7f97
Resolves: BZ#782099

* Sun Feb 13 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.4-2.gite47e54
- VDSM 4.9.4-2.gite47e54
Resolves: BZ#782099

* Sun Feb 05 2012 Igor Lvovsky <ilvovsky@redhat.com> - 4.9.4-1
- VDSM 4.9.4-1
Resolves: BZ#782099

* Sun Jan 29 2012 Dan Kenigsberg <danken@redhat.com> - 4.9.4-0
- VDSM 4.9.4

* Mon Jan 23 2012 Dan Kenigsberg <danken@redhat.com> - 4.9.2-0.123
- BZ#782099 - Add vdsm modprobe configuration
Resolves: BZ#782099

* Wed Oct 12 2011 Federico Simoncelli <fsimonce@redhat.com> - 4.9.0-0
- Initial upstream release

* Thu Nov 02 2006 Simon Grinberg <simong@qumranet.com> -  0.0-1
- Initial build
